import type { PropType } from 'vue';
import type { MakeSlots } from '../../utils';
export declare const alertTypes: readonly ["success", "info", "warning", "error"];
export type AlertType = typeof alertTypes[number];
export type AlertSlots = MakeSlots<{
    prepend: [];
    default: [];
    append: [];
}>;
export declare const makeAlertProps: <Defaults extends {
    elevation?: unknown;
    shape?: unknown;
    border?: unknown;
    density?: unknown;
    size?: unknown;
    height?: unknown;
    maxHeight?: unknown;
    maxWidth?: unknown;
    minHeight?: unknown;
    minWidth?: unknown;
    width?: unknown;
    absolute?: unknown;
    bottom?: unknown;
    fixed?: unknown;
    left?: unknown;
    position?: unknown;
    right?: unknown;
    top?: unknown;
    color?: unknown;
    textColor?: unknown;
    variant?: unknown;
    theme?: unknown;
    tag?: unknown;
    disabled?: unknown;
    loading?: unknown;
    href?: unknown;
    replace?: unknown;
    to?: unknown;
    link?: unknown;
    hover?: unknown;
    image?: unknown;
    prependAvatar?: unknown;
    prependIcon?: unknown;
    appendAvatar?: unknown;
    appendIcon?: unknown;
    title?: unknown;
    subtitle?: unknown;
    divided?: unknown;
    text?: unknown;
    ripple?: unknown;
    transition?: unknown;
    modelValue?: unknown;
    type?: unknown;
    icon?: unknown;
    closable?: unknown;
    closeIcon?: unknown;
    closeText?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    elevation: unknown extends Defaults["elevation"] ? {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["elevation"] ? string | number : NonNullable<string | number> | Defaults["elevation"]>;
        default: unknown extends Defaults["elevation"] ? string | number : NonNullable<string | number> | Defaults["elevation"];
    };
    shape: unknown extends Defaults["shape"] ? Omit<Omit<{
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    }, "type" | "default"> & {
        type: PropType<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
        default: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
    } : Omit<Omit<Omit<{
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    }, "type" | "default"> & {
        type: PropType<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
        default: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["shape"] ? NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">> : Defaults["shape"] | NonNullable<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>>;
        default: unknown extends Defaults["shape"] ? NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">> : Defaults["shape"] | NonNullable<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
    };
    border: unknown extends Defaults["border"] ? (StringConstructor | BooleanConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["border"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["border"]>;
        default: unknown extends Defaults["border"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["border"];
    };
    density: unknown extends Defaults["density"] ? {
        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    } : Omit<{
        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["density"] ? "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined : NonNullable<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined> | Defaults["density"]>;
        default: unknown extends Defaults["density"] ? "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined : NonNullable<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined> | Defaults["density"];
    };
    size: unknown extends Defaults["size"] ? {
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    } : Omit<{
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["size"] ? import("../../composables/size").Size | undefined : NonNullable<import("../../composables/size").Size | undefined> | Defaults["size"]>;
        default: unknown extends Defaults["size"] ? import("../../composables/size").Size | undefined : NonNullable<import("../../composables/size").Size | undefined> | Defaults["size"];
    };
    height: unknown extends Defaults["height"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["height"] ? string | number : NonNullable<string | number> | Defaults["height"]>;
        default: unknown extends Defaults["height"] ? string | number : NonNullable<string | number> | Defaults["height"];
    };
    maxHeight: unknown extends Defaults["maxHeight"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["maxHeight"] ? string | number : NonNullable<string | number> | Defaults["maxHeight"]>;
        default: unknown extends Defaults["maxHeight"] ? string | number : NonNullable<string | number> | Defaults["maxHeight"];
    };
    maxWidth: unknown extends Defaults["maxWidth"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["maxWidth"] ? string | number : NonNullable<string | number> | Defaults["maxWidth"]>;
        default: unknown extends Defaults["maxWidth"] ? string | number : NonNullable<string | number> | Defaults["maxWidth"];
    };
    minHeight: unknown extends Defaults["minHeight"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["minHeight"] ? string | number : NonNullable<string | number> | Defaults["minHeight"]>;
        default: unknown extends Defaults["minHeight"] ? string | number : NonNullable<string | number> | Defaults["minHeight"];
    };
    minWidth: unknown extends Defaults["minWidth"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["minWidth"] ? string | number : NonNullable<string | number> | Defaults["minWidth"]>;
        default: unknown extends Defaults["minWidth"] ? string | number : NonNullable<string | number> | Defaults["minWidth"];
    };
    width: unknown extends Defaults["width"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["width"] ? string | number : NonNullable<string | number> | Defaults["width"]>;
        default: unknown extends Defaults["width"] ? string | number : NonNullable<string | number> | Defaults["width"];
    };
    absolute: unknown extends Defaults["absolute"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["absolute"] ? boolean : boolean | Defaults["absolute"]>;
        default: unknown extends Defaults["absolute"] ? boolean : boolean | Defaults["absolute"];
    };
    bottom: unknown extends Defaults["bottom"] ? (StringConstructor | BooleanConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["bottom"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["bottom"]>;
        default: unknown extends Defaults["bottom"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["bottom"];
    };
    fixed: unknown extends Defaults["fixed"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["fixed"] ? boolean : boolean | Defaults["fixed"]>;
        default: unknown extends Defaults["fixed"] ? boolean : boolean | Defaults["fixed"];
    };
    left: unknown extends Defaults["left"] ? (StringConstructor | BooleanConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["left"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["left"]>;
        default: unknown extends Defaults["left"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["left"];
    };
    position: unknown extends Defaults["position"] ? {
        type: PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    } : Omit<{
        type: PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["position"] ? "fixed" | "static" | "relative" | "absolute" | "sticky" : NonNullable<"fixed" | "static" | "relative" | "absolute" | "sticky"> | Defaults["position"]>;
        default: unknown extends Defaults["position"] ? "fixed" | "static" | "relative" | "absolute" | "sticky" : NonNullable<"fixed" | "static" | "relative" | "absolute" | "sticky"> | Defaults["position"];
    };
    right: unknown extends Defaults["right"] ? (StringConstructor | BooleanConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["right"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["right"]>;
        default: unknown extends Defaults["right"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["right"];
    };
    top: unknown extends Defaults["top"] ? (StringConstructor | BooleanConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["top"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["top"]>;
        default: unknown extends Defaults["top"] ? string | number | boolean : NonNullable<string | number | boolean> | Defaults["top"];
    };
    color: unknown extends Defaults["color"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["color"] ? string : string | Defaults["color"]>;
        default: unknown extends Defaults["color"] ? string : string | Defaults["color"];
    };
    textColor: unknown extends Defaults["textColor"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["textColor"] ? string : string | Defaults["textColor"]>;
        default: unknown extends Defaults["textColor"] ? string : string | Defaults["textColor"];
    };
    variant: unknown extends Defaults["variant"] ? Omit<Omit<{
        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    }, "type" | "default"> & {
        type: PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
        default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
    } : Omit<Omit<Omit<{
        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    }, "type" | "default"> & {
        type: PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
        default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["variant"] ? NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">> : Defaults["variant"] | NonNullable<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>>;
        default: unknown extends Defaults["variant"] ? NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">> : Defaults["variant"] | NonNullable<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
    };
    theme: unknown extends Defaults["theme"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["theme"] ? string : string | Defaults["theme"]>;
        default: unknown extends Defaults["theme"] ? string : string | Defaults["theme"];
    };
    tag: unknown extends Defaults["tag"] ? {
        type: StringConstructor;
        default: string;
    } : Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["tag"] ? string : string | Defaults["tag"]>;
        default: unknown extends Defaults["tag"] ? string : string | Defaults["tag"];
    };
    disabled: unknown extends Defaults["disabled"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"]>;
        default: unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"];
    };
    loading: unknown extends Defaults["loading"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["loading"] ? boolean : boolean | Defaults["loading"]>;
        default: unknown extends Defaults["loading"] ? boolean : boolean | Defaults["loading"];
    };
    href: unknown extends Defaults["href"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["href"] ? string : string | Defaults["href"]>;
        default: unknown extends Defaults["href"] ? string : string | Defaults["href"];
    };
    replace: unknown extends Defaults["replace"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["replace"] ? boolean : boolean | Defaults["replace"]>;
        default: unknown extends Defaults["replace"] ? boolean : boolean | Defaults["replace"];
    };
    to: unknown extends Defaults["to"] ? PropType<import("vue-router").RouteLocationRaw> : {
        type: PropType<unknown extends Defaults["to"] ? import("vue-router").RouteLocationRaw : NonNullable<import("vue-router").RouteLocationRaw> | Defaults["to"]>;
        default: unknown extends Defaults["to"] ? import("vue-router").RouteLocationRaw : NonNullable<import("vue-router").RouteLocationRaw> | Defaults["to"];
    };
    link: unknown extends Defaults["link"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["link"] ? boolean : boolean | Defaults["link"]>;
        default: unknown extends Defaults["link"] ? boolean : boolean | Defaults["link"];
    };
    hover: unknown extends Defaults["hover"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["hover"] ? boolean : boolean | Defaults["hover"]>;
        default: unknown extends Defaults["hover"] ? boolean : boolean | Defaults["hover"];
    };
    image: unknown extends Defaults["image"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["image"] ? string : string | Defaults["image"]>;
        default: unknown extends Defaults["image"] ? string : string | Defaults["image"];
    };
    prependAvatar: unknown extends Defaults["prependAvatar"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["prependAvatar"] ? string : string | Defaults["prependAvatar"]>;
        default: unknown extends Defaults["prependAvatar"] ? string : string | Defaults["prependAvatar"];
    };
    prependIcon: unknown extends Defaults["prependIcon"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["prependIcon"] ? string : string | Defaults["prependIcon"]>;
        default: unknown extends Defaults["prependIcon"] ? string : string | Defaults["prependIcon"];
    };
    appendAvatar: unknown extends Defaults["appendAvatar"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["appendAvatar"] ? string : string | Defaults["appendAvatar"]>;
        default: unknown extends Defaults["appendAvatar"] ? string : string | Defaults["appendAvatar"];
    };
    appendIcon: unknown extends Defaults["appendIcon"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["appendIcon"] ? string : string | Defaults["appendIcon"]>;
        default: unknown extends Defaults["appendIcon"] ? string : string | Defaults["appendIcon"];
    };
    title: unknown extends Defaults["title"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["title"] ? string : string | Defaults["title"]>;
        default: unknown extends Defaults["title"] ? string : string | Defaults["title"];
    };
    subtitle: unknown extends Defaults["subtitle"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["subtitle"] ? string : string | Defaults["subtitle"]>;
        default: unknown extends Defaults["subtitle"] ? string : string | Defaults["subtitle"];
    };
    divided: unknown extends Defaults["divided"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["divided"] ? boolean : boolean | Defaults["divided"]>;
        default: unknown extends Defaults["divided"] ? boolean : boolean | Defaults["divided"];
    };
    text: unknown extends Defaults["text"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["text"] ? string : string | Defaults["text"]>;
        default: unknown extends Defaults["text"] ? string : string | Defaults["text"];
    };
    ripple: unknown extends Defaults["ripple"] ? {
        type: BooleanConstructor;
        default: boolean;
    } : Omit<{
        type: BooleanConstructor;
        default: boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["ripple"] ? boolean : boolean | Defaults["ripple"]>;
        default: unknown extends Defaults["ripple"] ? boolean : boolean | Defaults["ripple"];
    };
    transition: unknown extends Defaults["transition"] ? Omit<{
        type: PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: PropType<{
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>>;
        default: {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
    } : Omit<Omit<{
        type: PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: PropType<{
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>>;
        default: {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["transition"] ? {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> : Defaults["transition"] | NonNullable<{
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>>>;
        default: unknown extends Defaults["transition"] ? {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> : Defaults["transition"] | NonNullable<{
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>>;
    };
    modelValue: unknown extends Defaults["modelValue"] ? {
        type: BooleanConstructor;
        default: boolean;
    } : Omit<{
        type: BooleanConstructor;
        default: boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["modelValue"] ? boolean : boolean | Defaults["modelValue"]>;
        default: unknown extends Defaults["modelValue"] ? boolean : boolean | Defaults["modelValue"];
    };
    type: unknown extends Defaults["type"] ? {
        type: PropType<"success" | "warning" | "error" | "info">;
        default: string;
        validator: (val: AlertType) => boolean;
    } : Omit<{
        type: PropType<"success" | "warning" | "error" | "info">;
        default: string;
        validator: (val: AlertType) => boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["type"] ? "success" | "warning" | "error" | "info" : Defaults["type"] | NonNullable<"success" | "warning" | "error" | "info">>;
        default: unknown extends Defaults["type"] ? "success" | "warning" | "error" | "info" : Defaults["type"] | NonNullable<"success" | "warning" | "error" | "info">;
    };
    icon: unknown extends Defaults["icon"] ? {
        type: PropType<string | false>;
        default: boolean;
    } : Omit<{
        type: PropType<string | false>;
        default: boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["icon"] ? string | false : Defaults["icon"] | NonNullable<string | false>>;
        default: unknown extends Defaults["icon"] ? string | false : Defaults["icon"] | NonNullable<string | false>;
    };
    closable: unknown extends Defaults["closable"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["closable"] ? boolean : boolean | Defaults["closable"]>;
        default: unknown extends Defaults["closable"] ? boolean : boolean | Defaults["closable"];
    };
    closeIcon: unknown extends Defaults["closeIcon"] ? {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    } : Omit<{
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["closeIcon"] ? string : string | Defaults["closeIcon"]>;
        default: unknown extends Defaults["closeIcon"] ? string : string | Defaults["closeIcon"];
    };
    closeText: unknown extends Defaults["closeText"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["closeText"] ? string : string | Defaults["closeText"]>;
        default: unknown extends Defaults["closeText"] ? string : string | Defaults["closeText"];
    };
};
export declare const Alert: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            type: "success" | "warning" | "error" | "info";
            replace: boolean;
            fixed: boolean;
            link: boolean;
            transition: {
                readonly component: import("vue").DefineComponent<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }>>, {
                    group: boolean;
                }>;
            } | NonNullable<string | false | (import("vue").TransitionProps & {
                component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
            })>;
            loading: boolean;
            disabled: boolean;
            tag: string;
            variant: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            absolute: boolean;
            size: import("../../composables/size").Size | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            shape: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            icon: string | false;
            hover: boolean;
            divided: boolean;
            ripple: boolean;
            modelValue: boolean;
            closable: boolean;
            closeIcon: string | Record<string, any>;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            elevation: {
                type: (StringConstructor | NumberConstructor)[];
                validator(v: any): boolean;
            };
            shape: Omit<Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            }, "type" | "default"> & {
                type: PropType<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
                default: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            };
            border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            density: {
                type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            absolute: BooleanConstructor;
            bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            fixed: BooleanConstructor;
            left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            position: {
                type: PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
                validator: (v: any) => boolean;
            };
            right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            }, "type" | "default"> & {
                type: PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
                default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            };
            theme: StringConstructor;
            tag: {
                type: StringConstructor;
                default: string;
            };
            disabled: BooleanConstructor;
            loading: BooleanConstructor;
            href: StringConstructor;
            replace: BooleanConstructor;
            to: PropType<import("vue-router").RouteLocationRaw>;
            link: BooleanConstructor;
            hover: BooleanConstructor;
            image: StringConstructor;
            prependAvatar: StringConstructor;
            prependIcon: StringConstructor;
            appendAvatar: StringConstructor;
            appendIcon: StringConstructor;
            title: StringConstructor;
            subtitle: StringConstructor;
            divided: BooleanConstructor;
            text: StringConstructor;
            ripple: {
                type: BooleanConstructor;
                default: boolean;
            };
            transition: Omit<{
                type: PropType<string | false | (import("vue").TransitionProps & {
                    component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
                })>;
                default: string;
                validator: (val: unknown) => boolean;
            }, "type" | "default"> & {
                type: PropType<{
                    readonly component: import("vue").DefineComponent<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }>>, {
                        group: boolean;
                    }>;
                } | NonNullable<string | false | (import("vue").TransitionProps & {
                    component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
                })>>;
                default: {
                    readonly component: import("vue").DefineComponent<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }>>, {
                        group: boolean;
                    }>;
                } | NonNullable<string | false | (import("vue").TransitionProps & {
                    component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
                })>;
            };
            modelValue: {
                type: BooleanConstructor;
                default: boolean;
            };
            type: {
                type: PropType<"success" | "warning" | "error" | "info">;
                default: string;
                validator: (val: AlertType) => boolean;
            };
            icon: {
                type: PropType<string | false>;
                default: boolean;
            };
            closable: BooleanConstructor;
            closeIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            closeText: StringConstructor;
        } & {
            $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_: boolean) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "replace" | "fixed" | "link" | "transition" | "loading" | "disabled" | "tag" | "variant" | "absolute" | "size" | "density" | "shape" | "icon" | "hover" | "divided" | "ripple" | "modelValue" | "closable" | "closeIcon">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: "update:modelValue", _: boolean) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            elevation: {
                type: (StringConstructor | NumberConstructor)[];
                validator(v: any): boolean;
            };
            shape: Omit<Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            }, "type" | "default"> & {
                type: PropType<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
                default: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            };
            border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            density: {
                type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            absolute: BooleanConstructor;
            bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            fixed: BooleanConstructor;
            left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            position: {
                type: PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
                validator: (v: any) => boolean;
            };
            right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            }, "type" | "default"> & {
                type: PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
                default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            };
            theme: StringConstructor;
            tag: {
                type: StringConstructor;
                default: string;
            };
            disabled: BooleanConstructor;
            loading: BooleanConstructor;
            href: StringConstructor;
            replace: BooleanConstructor;
            to: PropType<import("vue-router").RouteLocationRaw>;
            link: BooleanConstructor;
            hover: BooleanConstructor;
            image: StringConstructor;
            prependAvatar: StringConstructor;
            prependIcon: StringConstructor;
            appendAvatar: StringConstructor;
            appendIcon: StringConstructor;
            title: StringConstructor;
            subtitle: StringConstructor;
            divided: BooleanConstructor;
            text: StringConstructor;
            ripple: {
                type: BooleanConstructor;
                default: boolean;
            };
            transition: Omit<{
                type: PropType<string | false | (import("vue").TransitionProps & {
                    component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
                })>;
                default: string;
                validator: (val: unknown) => boolean;
            }, "type" | "default"> & {
                type: PropType<{
                    readonly component: import("vue").DefineComponent<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }>>, {
                        group: boolean;
                    }>;
                } | NonNullable<string | false | (import("vue").TransitionProps & {
                    component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
                })>>;
                default: {
                    readonly component: import("vue").DefineComponent<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                        group: BooleanConstructor;
                        mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                        onBeforeEnter: FunctionConstructor;
                        onLeave: FunctionConstructor;
                        onAfterLeave: FunctionConstructor;
                    }>>, {
                        group: boolean;
                    }>;
                } | NonNullable<string | false | (import("vue").TransitionProps & {
                    component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
                })>;
            };
            modelValue: {
                type: BooleanConstructor;
                default: boolean;
            };
            type: {
                type: PropType<"success" | "warning" | "error" | "info">;
                default: string;
                validator: (val: AlertType) => boolean;
            };
            icon: {
                type: PropType<string | false>;
                default: boolean;
            };
            closable: BooleanConstructor;
            closeIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            closeText: StringConstructor;
        } & {
            $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_: boolean) => any) | undefined;
        }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:modelValue': (_: boolean) => boolean;
        }, string, {
            type: "success" | "warning" | "error" | "info";
            replace: boolean;
            fixed: boolean;
            link: boolean;
            transition: {
                readonly component: import("vue").DefineComponent<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }>>, {
                    group: boolean;
                }>;
            } | NonNullable<string | false | (import("vue").TransitionProps & {
                component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
            })>;
            loading: boolean;
            disabled: boolean;
            tag: string;
            variant: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            absolute: boolean;
            size: import("../../composables/size").Size | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            shape: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            icon: string | false;
            hover: boolean;
            divided: boolean;
            ripple: boolean;
            modelValue: boolean;
            closable: boolean;
            closeIcon: string | Record<string, any>;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        elevation: {
            type: (StringConstructor | NumberConstructor)[];
            validator(v: any): boolean;
        };
        shape: Omit<Omit<{
            type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            default: string;
        }, "type" | "default"> & {
            type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        }, "type" | "default"> & {
            type: PropType<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
            default: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        };
        border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        density: {
            type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
            default: string;
            validator: (v: any) => boolean;
        };
        size: {
            type: PropType<import("../../composables/size").Size | undefined>;
            default: string;
        };
        height: (StringConstructor | NumberConstructor)[];
        maxHeight: (StringConstructor | NumberConstructor)[];
        maxWidth: (StringConstructor | NumberConstructor)[];
        minHeight: (StringConstructor | NumberConstructor)[];
        minWidth: (StringConstructor | NumberConstructor)[];
        width: (StringConstructor | NumberConstructor)[];
        absolute: BooleanConstructor;
        bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        fixed: BooleanConstructor;
        left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        position: {
            type: PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
            validator: (v: any) => boolean;
        };
        right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        color: StringConstructor;
        textColor: StringConstructor;
        variant: Omit<Omit<{
            type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            default: string;
            validator: (v: any) => boolean;
        }, "type" | "default"> & {
            type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        }, "type" | "default"> & {
            type: PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
            default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        };
        theme: StringConstructor;
        tag: {
            type: StringConstructor;
            default: string;
        };
        disabled: BooleanConstructor;
        loading: BooleanConstructor;
        href: StringConstructor;
        replace: BooleanConstructor;
        to: PropType<import("vue-router").RouteLocationRaw>;
        link: BooleanConstructor;
        hover: BooleanConstructor;
        image: StringConstructor;
        prependAvatar: StringConstructor;
        prependIcon: StringConstructor;
        appendAvatar: StringConstructor;
        appendIcon: StringConstructor;
        title: StringConstructor;
        subtitle: StringConstructor;
        divided: BooleanConstructor;
        text: StringConstructor;
        ripple: {
            type: BooleanConstructor;
            default: boolean;
        };
        transition: Omit<{
            type: PropType<string | false | (import("vue").TransitionProps & {
                component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
            })>;
            default: string;
            validator: (val: unknown) => boolean;
        }, "type" | "default"> & {
            type: PropType<{
                readonly component: import("vue").DefineComponent<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }>>, {
                    group: boolean;
                }>;
            } | NonNullable<string | false | (import("vue").TransitionProps & {
                component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
            })>>;
            default: {
                readonly component: import("vue").DefineComponent<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                    group: BooleanConstructor;
                    mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                    onBeforeEnter: FunctionConstructor;
                    onLeave: FunctionConstructor;
                    onAfterLeave: FunctionConstructor;
                }>>, {
                    group: boolean;
                }>;
            } | NonNullable<string | false | (import("vue").TransitionProps & {
                component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
            })>;
        };
        modelValue: {
            type: BooleanConstructor;
            default: boolean;
        };
        type: {
            type: PropType<"success" | "warning" | "error" | "info">;
            default: string;
            validator: (val: AlertType) => boolean;
        };
        icon: {
            type: PropType<string | false>;
            default: boolean;
        };
        closable: BooleanConstructor;
        closeIcon: {
            type: (StringConstructor | ObjectConstructor)[];
            default: string;
        };
        closeText: StringConstructor;
    } & {
        $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | {
            prepend?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            append?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
        };
        'v-slots': new () => {
            prepend?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            append?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
        };
    }>> & {
        "onUpdate:modelValue"?: ((_: boolean) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: Omit<Omit<{
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    }, "type" | "default"> & {
        type: PropType<NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>>;
        default: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    height: (StringConstructor | NumberConstructor)[];
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    position: {
        type: PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    };
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<Omit<{
        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    }, "type" | "default"> & {
        type: PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
        default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
    };
    theme: StringConstructor;
    tag: {
        type: StringConstructor;
        default: string;
    };
    disabled: BooleanConstructor;
    loading: BooleanConstructor;
    href: StringConstructor;
    replace: BooleanConstructor;
    to: PropType<import("vue-router").RouteLocationRaw>;
    link: BooleanConstructor;
    hover: BooleanConstructor;
    image: StringConstructor;
    prependAvatar: StringConstructor;
    prependIcon: StringConstructor;
    appendAvatar: StringConstructor;
    appendIcon: StringConstructor;
    title: StringConstructor;
    subtitle: StringConstructor;
    divided: BooleanConstructor;
    text: StringConstructor;
    ripple: {
        type: BooleanConstructor;
        default: boolean;
    };
    transition: Omit<{
        type: PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: PropType<{
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>>;
        default: {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        } | NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
    };
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    type: {
        type: PropType<"success" | "warning" | "error" | "info">;
        default: string;
        validator: (val: AlertType) => boolean;
    };
    icon: {
        type: PropType<string | false>;
        default: boolean;
    };
    closable: BooleanConstructor;
    closeIcon: {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    };
    closeText: StringConstructor;
} & {
    $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) | {
        prepend?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        append?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
    };
    'v-slots': new () => {
        prepend?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        append?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((_: boolean) => any) | undefined;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_: boolean) => boolean;
}, string, {
    type: "success" | "warning" | "error" | "info";
    replace: boolean;
    fixed: boolean;
    link: boolean;
    transition: {
        readonly component: import("vue").DefineComponent<{
            group: BooleanConstructor;
            mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            group: BooleanConstructor;
            mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }>>, {
            group: boolean;
        }>;
    } | NonNullable<string | false | (import("vue").TransitionProps & {
        component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
    })>;
    loading: boolean;
    disabled: boolean;
    tag: string;
    variant: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
    absolute: boolean;
    size: import("../../composables/size").Size | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    shape: NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
    icon: string | false;
    hover: boolean;
    divided: boolean;
    ripple: boolean;
    modelValue: boolean;
    closable: boolean;
    closeIcon: string | Record<string, any>;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: AlertSlots;
});
export declare function filterAlertProps(props: Record<string, unknown>): [yes: Partial<Pick<Record<string, unknown>, string>>, no: Omit<Record<string, unknown>, string>];
export type Alert = InstanceType<typeof Alert>;
