import type { MakeSlots } from '../../utils';
export type BreadcrumbItem = InstanceType<typeof BreadcrumbItem>;
export declare const BreadcrumbItem: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            type: string;
            replace: boolean;
            fixed: boolean;
            loading: boolean;
            disabled: boolean;
            tag: string;
            variant: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            absolute: boolean;
            size: import("../../composables/size").Size | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            overlay: boolean;
            block: boolean;
            ripple: boolean;
            stacked: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            value: null;
            disabled: BooleanConstructor;
            selectedClass: StringConstructor;
            elevation: {
                type: (StringConstructor | NumberConstructor)[];
                validator(v: any): boolean;
            };
            shape: Omit<{
                type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            density: {
                type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: import("vue").PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            absolute: BooleanConstructor;
            bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            fixed: BooleanConstructor;
            left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            position: {
                type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
                validator: (v: any) => boolean;
            };
            right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<Omit<{
                type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
                default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            };
            theme: StringConstructor;
            tag: Omit<{
                type: StringConstructor;
                default: string;
            }, "type" | "default"> & {
                type: import("vue").PropType<string>;
                default: string;
            };
            href: StringConstructor;
            replace: BooleanConstructor;
            to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
            loading: BooleanConstructor;
            type: {
                type: StringConstructor;
                default: string;
            };
            icon: (StringConstructor | ObjectConstructor | BooleanConstructor)[];
            prependIcon: (StringConstructor | ObjectConstructor)[];
            appendIcon: (StringConstructor | ObjectConstructor)[];
            stacked: BooleanConstructor;
            block: BooleanConstructor;
            text: (StringConstructor | NumberConstructor)[];
            ripple: {
                type: BooleanConstructor;
                default: boolean;
            };
            overlay: {
                type: BooleanConstructor;
                default: boolean;
            };
        } & {
            $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                separator?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                separator?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "replace" | "fixed" | "loading" | "disabled" | "tag" | "variant" | "absolute" | "size" | "density" | "shape" | "overlay" | "block" | "ripple" | "stacked">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            value: null;
            disabled: BooleanConstructor;
            selectedClass: StringConstructor;
            elevation: {
                type: (StringConstructor | NumberConstructor)[];
                validator(v: any): boolean;
            };
            shape: Omit<{
                type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            density: {
                type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: import("vue").PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            absolute: BooleanConstructor;
            bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            fixed: BooleanConstructor;
            left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            position: {
                type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
                validator: (v: any) => boolean;
            };
            right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<Omit<{
                type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
                default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            };
            theme: StringConstructor;
            tag: Omit<{
                type: StringConstructor;
                default: string;
            }, "type" | "default"> & {
                type: import("vue").PropType<string>;
                default: string;
            };
            href: StringConstructor;
            replace: BooleanConstructor;
            to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
            loading: BooleanConstructor;
            type: {
                type: StringConstructor;
                default: string;
            };
            icon: (StringConstructor | ObjectConstructor | BooleanConstructor)[];
            prependIcon: (StringConstructor | ObjectConstructor)[];
            appendIcon: (StringConstructor | ObjectConstructor)[];
            stacked: BooleanConstructor;
            block: BooleanConstructor;
            text: (StringConstructor | NumberConstructor)[];
            ripple: {
                type: BooleanConstructor;
                default: boolean;
            };
            overlay: {
                type: BooleanConstructor;
                default: boolean;
            };
        } & {
            $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                separator?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                separator?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            type: string;
            replace: boolean;
            fixed: boolean;
            loading: boolean;
            disabled: boolean;
            tag: string;
            variant: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            absolute: boolean;
            size: import("../../composables/size").Size | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            overlay: boolean;
            block: boolean;
            ripple: boolean;
            stacked: boolean;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        value: null;
        disabled: BooleanConstructor;
        selectedClass: StringConstructor;
        elevation: {
            type: (StringConstructor | NumberConstructor)[];
            validator(v: any): boolean;
        };
        shape: Omit<{
            type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            default: string;
        }, "type" | "default"> & {
            type: import("vue").PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        };
        border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        density: {
            type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
            default: string;
            validator: (v: any) => boolean;
        };
        size: {
            type: import("vue").PropType<import("../../composables/size").Size | undefined>;
            default: string;
        };
        height: (StringConstructor | NumberConstructor)[];
        maxHeight: (StringConstructor | NumberConstructor)[];
        maxWidth: (StringConstructor | NumberConstructor)[];
        minHeight: (StringConstructor | NumberConstructor)[];
        minWidth: (StringConstructor | NumberConstructor)[];
        width: (StringConstructor | NumberConstructor)[];
        absolute: BooleanConstructor;
        bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        fixed: BooleanConstructor;
        left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        position: {
            type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
            validator: (v: any) => boolean;
        };
        right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        color: StringConstructor;
        textColor: StringConstructor;
        variant: Omit<Omit<{
            type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            default: string;
            validator: (v: any) => boolean;
        }, "type" | "default"> & {
            type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        }, "type" | "default"> & {
            type: import("vue").PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
            default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        };
        theme: StringConstructor;
        tag: Omit<{
            type: StringConstructor;
            default: string;
        }, "type" | "default"> & {
            type: import("vue").PropType<string>;
            default: string;
        };
        href: StringConstructor;
        replace: BooleanConstructor;
        to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
        loading: BooleanConstructor;
        type: {
            type: StringConstructor;
            default: string;
        };
        icon: (StringConstructor | ObjectConstructor | BooleanConstructor)[];
        prependIcon: (StringConstructor | ObjectConstructor)[];
        appendIcon: (StringConstructor | ObjectConstructor)[];
        stacked: BooleanConstructor;
        block: BooleanConstructor;
        text: (StringConstructor | NumberConstructor)[];
        ripple: {
            type: BooleanConstructor;
            default: boolean;
        };
        overlay: {
            type: BooleanConstructor;
            default: boolean;
        };
    } & {
        $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | {
            default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            separator?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
        };
        'v-slots': new () => {
            default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            separator?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
        };
    }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    value: null;
    disabled: BooleanConstructor;
    selectedClass: StringConstructor;
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: Omit<{
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    height: (StringConstructor | NumberConstructor)[];
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    position: {
        type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    };
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<Omit<{
        type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>>;
        default: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
    };
    theme: StringConstructor;
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    href: StringConstructor;
    replace: BooleanConstructor;
    to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
    loading: BooleanConstructor;
    type: {
        type: StringConstructor;
        default: string;
    };
    icon: (StringConstructor | ObjectConstructor | BooleanConstructor)[];
    prependIcon: (StringConstructor | ObjectConstructor)[];
    appendIcon: (StringConstructor | ObjectConstructor)[];
    stacked: BooleanConstructor;
    block: BooleanConstructor;
    text: (StringConstructor | NumberConstructor)[];
    ripple: {
        type: BooleanConstructor;
        default: boolean;
    };
    overlay: {
        type: BooleanConstructor;
        default: boolean;
    };
} & {
    $children: () => import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) | {
        default?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        separator?: import("vue").VNodeChild | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
    };
    'v-slots': new () => {
        default?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        separator?: false | (() => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
    };
}>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    type: string;
    replace: boolean;
    fixed: boolean;
    loading: boolean;
    disabled: boolean;
    tag: string;
    variant: NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
    absolute: boolean;
    size: import("../../composables/size").Size | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    overlay: boolean;
    block: boolean;
    ripple: boolean;
    stacked: boolean;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: MakeSlots<{
        default: [];
        separator: [];
    }>;
});
