import { createVNode as _createVNode } from "vue";
import "./styles/breadcrumb.css";
import { createSymbol, genericComponent } from "../../utils";
import { makeTagProps } from "../../composables/tag";
import { useGroup } from "../../composables/group";
const BreadcrumbKey = createSymbol("breadcrumb");
const Breadcrumb = genericComponent()({
  name: "VeBreadcrumb",
  props: {
    ...makeTagProps({
      tag: "nav"
    })
  },
  emits: {
    "update:modelValue": (_value) => true
  },
  setup(props, {
    slots
  }) {
    useGroup(props, BreadcrumbKey);
    return () => {
      return _createVNode(props.tag, {
        "aria-label": "breadcrumb",
        "class": "ve-breadcrumb"
      }, {
        default: () => [_createVNode("ol", null, [slots.default?.()])]
      });
    };
  }
});
export {
  Breadcrumb,
  BreadcrumbKey
};
//# sourceMappingURL=breadcrumb.mjs.map
