import type { PropType } from 'vue';
import type { DateInstance, DateOptions } from '../../composables/date';
export declare const DatePickerPanel: import("vue").DefineComponent<{
    /**
     * @zh 激活的日期的按钮颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 每周的第一天是周几（0 - 周日、1 - 周一）。
     */
    firstDayOfWeek: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: (val: string | number) => boolean;
    };
    /**
     * @zh 时间格式化
     */
    format: {
        type: PropType<string | ((date: DateInstance) => string)>;
        default: string;
    };
    /**
     * @zh 最大时间值
     */
    max: PropType<DateOptions>;
    /**
     * @zh 最小时间值
     */
    min: PropType<DateOptions>;
    /**
     * @zh 时间值
     */
    modelValue: PropType<DateOptions>;
    /**
     * @zh 双箭头往前翻页图标
     */
    prevDoubleIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 单箭头往前翻页图标
     */
    prevIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 单箭头往后翻页图标
     */
    nextIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 双箭头往后翻页图标
     */
    nextDoubleIcon: {
        type: StringConstructor;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_modelValue: string) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * @zh 激活的日期的按钮颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 每周的第一天是周几（0 - 周日、1 - 周一）。
     */
    firstDayOfWeek: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: (val: string | number) => boolean;
    };
    /**
     * @zh 时间格式化
     */
    format: {
        type: PropType<string | ((date: DateInstance) => string)>;
        default: string;
    };
    /**
     * @zh 最大时间值
     */
    max: PropType<DateOptions>;
    /**
     * @zh 最小时间值
     */
    min: PropType<DateOptions>;
    /**
     * @zh 时间值
     */
    modelValue: PropType<DateOptions>;
    /**
     * @zh 双箭头往前翻页图标
     */
    prevDoubleIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 单箭头往前翻页图标
     */
    prevIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 单箭头往后翻页图标
     */
    nextIcon: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 双箭头往后翻页图标
     */
    nextDoubleIcon: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((_modelValue: string) => any) | undefined;
}, {
    activeColor: string;
    format: string | ((date: DateInstance) => string);
    firstDayOfWeek: string | number;
    prevDoubleIcon: string;
    prevIcon: string;
    nextIcon: string;
    nextDoubleIcon: string;
}>;
