import { defineComponent, toRefs } from "vue";
import { provideDefaults } from "../../composables/defaults";
const DefaultsProvider = defineComponent({
  name: "VeDefaultsProvider",
  props: {
    defaults: Object,
    reset: [Number, String],
    root: Boolean,
    scoped: Boolean
  },
  setup(props, {
    slots
  }) {
    const {
      defaults,
      reset,
      root,
      scoped
    } = toRefs(props);
    provideDefaults(defaults, {
      reset,
      root,
      scoped
    });
    return () => slots.default?.();
  }
});
export {
  DefaultsProvider
};
//# sourceMappingURL=defaults-provider.mjs.map
