import { createVNode as _createVNode } from "vue";
import "./styles/header-title.css";
import { defineComponent } from "../../utils";
import { makeTagProps } from "../../composables/tag";
const HeaderTitle = defineComponent({
  name: "VeHeaderTitle",
  props: {
    text: String,
    ...makeTagProps({
      tag: "header"
    })
  },
  setup(props, {
    slots
  }) {
    return () => {
      const hasDefault = slots.default || props.text;
      return _createVNode(props.tag, {
        "class": "ve-header-title"
      }, {
        default: () => [hasDefault && _createVNode("div", {
          "class": "ve-header-title__wrapper"
        }, [slots.default?.() ?? props.text])]
      });
    };
  }
});
export {
  HeaderTitle
};
//# sourceMappingURL=header-title.mjs.map
