import { createVNode as _createVNode } from "vue";
import { defineComponent } from "../../utils";
import { makeIconSetProps } from "../../composables/icon/make-icon-props";
const IconSvg = defineComponent({
  name: "VeIconSvg",
  props: {
    viewBox: {
      type: String,
      default: "0 0 24 24"
    },
    ...makeIconSetProps()
  },
  setup(props) {
    return () => {
      const isString = typeof props.icon === "string";
      return _createVNode(props.tag, null, {
        default: () => [isString ? _createVNode("svg", {
          "xmlns": "http://www.w3.org/2000/svg",
          "viewBox": props.viewBox,
          "role": "img",
          "aria-hidden": "true"
        }, [_createVNode("path", {
          "d": props.icon
        }, null)]) : _createVNode(props.icon, {
          "role": "img",
          "aria-hidden": "true"
        }, null)]
      });
    };
  }
});
export {
  IconSvg
};
//# sourceMappingURL=icon-svg.mjs.map
