import { createVNode as _createVNode } from "vue";
import "./styles/label.css";
import { defineComponent } from "../../utils";
import { makeThemeProps } from "../../composables/theme";
const Label = defineComponent({
  name: "VeLabel",
  props: {
    disabled: Boolean,
    error: Boolean,
    text: String,
    ...makeThemeProps()
  },
  setup(props, {
    slots
  }) {
    return () => _createVNode("label", {
      "class": ["ve-label", {
        "ve-label--disabled": props.disabled,
        "ve-label--error": props.error
      }]
    }, [slots.default?.() ?? props.text]);
  }
});
export {
  Label
};
//# sourceMappingURL=label.mjs.map
