import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import "./styles/list-item-avatar.css";
import { Avatar } from "../avatar";
import { makeAvatarProps } from "../avatar/avatar";
import { defineComponent } from "../../utils";
const ListItemAvatar = defineComponent({
  name: "VeListItemAvatar",
  props: makeAvatarProps(),
  setup(props, {
    slots
  }) {
    return () => {
      return _createVNode(Avatar, _mergeProps({
        "class": ["ve-list-item-avatar", {
          "ve-list-item-avatar--start": props.start,
          "ve-list-item-avatar--end": props.end
        }]
      }, props), slots);
    };
  }
});
export {
  ListItemAvatar
};
//# sourceMappingURL=list-item-avatar.mjs.map
