import type { MakeSlots } from '../../utils';
type ListItemSlot = {
    isActive: boolean;
    activate: (value: boolean) => void;
    isSelected: boolean;
    select: (value: boolean) => void;
};
export type ListItemTitleSlot = {
    title?: string;
};
export type ListItemSubtitleSlot = {
    subtitle?: string;
};
export declare const ListItem: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            replace: boolean;
            fixed: boolean;
            link: boolean;
            disabled: boolean;
            tag: string;
            variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            absolute: boolean;
            size: NonNullable<import("../../composables/size").Size | undefined> | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            shape: "circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill";
            active: boolean;
            ripple: boolean;
            activeColor: string;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            href: StringConstructor;
            replace: BooleanConstructor;
            to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
            disabled: BooleanConstructor;
            elevation: {
                type: (StringConstructor | NumberConstructor)[];
                validator(v: any): boolean;
            };
            shape: {
                type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            };
            border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            density: {
                type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: Omit<{
                type: import("vue").PropType<import("../../composables/size").Size | undefined>;
                default: string;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<import("../../composables/size").Size | undefined> | undefined>;
                default: NonNullable<import("../../composables/size").Size | undefined> | undefined;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            absolute: BooleanConstructor;
            bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            fixed: BooleanConstructor;
            left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            position: {
                type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
                validator: (v: any) => boolean;
            };
            right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            theme: StringConstructor;
            tag: {
                type: StringConstructor;
                default: string;
            };
            /**
             * @zh 是否激活
             */
            active: BooleanConstructor;
            /**
             * @zh 激活时的颜色
             */
            activeColor: {
                type: StringConstructor;
                default: string;
            };
            /**
             * @zh 激活时的 class
             */
            activeClass: StringConstructor;
            /**
             * @zh 后置头像
             */
            appendAvatar: StringConstructor;
            /**
             * @zh 后置图标
             */
            appendIcon: (StringConstructor | ObjectConstructor)[];
            /**
             * @zh 是否是一个链接
             */
            link: BooleanConstructor;
            /**
             * @zh 前置头像
             */
            prependAvatar: StringConstructor;
            /**
             * @zh 前置图标
             */
            prependIcon: (StringConstructor | ObjectConstructor)[];
            /**
             * @zh 点击时是否有波纹
             */
            ripple: {
                type: BooleanConstructor;
                default: boolean;
            };
            /**
             * @zh 副标题
             */
            subtitle: StringConstructor;
            /**
             * @zh 文本内容
             */
            text: StringConstructor;
            /**
             * @zh 标题
             */
            title: StringConstructor;
            /**
             * @zh 列表项的值
             */
            value: null;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                title?: import("vue").VNodeChild | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                subtitle?: import("vue").VNodeChild | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                title?: false | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                subtitle?: false | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "replace" | "fixed" | "link" | "disabled" | "tag" | "variant" | "absolute" | "size" | "density" | "shape" | "active" | "ripple" | "activeColor">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            href: StringConstructor;
            replace: BooleanConstructor;
            to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
            disabled: BooleanConstructor;
            elevation: {
                type: (StringConstructor | NumberConstructor)[];
                validator(v: any): boolean;
            };
            shape: {
                type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            };
            border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            density: {
                type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: Omit<{
                type: import("vue").PropType<import("../../composables/size").Size | undefined>;
                default: string;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<import("../../composables/size").Size | undefined> | undefined>;
                default: NonNullable<import("../../composables/size").Size | undefined> | undefined;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            absolute: BooleanConstructor;
            bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            fixed: BooleanConstructor;
            left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            position: {
                type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
                validator: (v: any) => boolean;
            };
            right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            theme: StringConstructor;
            tag: {
                type: StringConstructor;
                default: string;
            };
            /**
             * @zh 是否激活
             */
            active: BooleanConstructor;
            /**
             * @zh 激活时的颜色
             */
            activeColor: {
                type: StringConstructor;
                default: string;
            };
            /**
             * @zh 激活时的 class
             */
            activeClass: StringConstructor;
            /**
             * @zh 后置头像
             */
            appendAvatar: StringConstructor;
            /**
             * @zh 后置图标
             */
            appendIcon: (StringConstructor | ObjectConstructor)[];
            /**
             * @zh 是否是一个链接
             */
            link: BooleanConstructor;
            /**
             * @zh 前置头像
             */
            prependAvatar: StringConstructor;
            /**
             * @zh 前置图标
             */
            prependIcon: (StringConstructor | ObjectConstructor)[];
            /**
             * @zh 点击时是否有波纹
             */
            ripple: {
                type: BooleanConstructor;
                default: boolean;
            };
            /**
             * @zh 副标题
             */
            subtitle: StringConstructor;
            /**
             * @zh 文本内容
             */
            text: StringConstructor;
            /**
             * @zh 标题
             */
            title: StringConstructor;
            /**
             * @zh 列表项的值
             */
            value: null;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                title?: import("vue").VNodeChild | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                subtitle?: import("vue").VNodeChild | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                title?: false | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                subtitle?: false | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
            replace: boolean;
            fixed: boolean;
            link: boolean;
            disabled: boolean;
            tag: string;
            variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            absolute: boolean;
            size: NonNullable<import("../../composables/size").Size | undefined> | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            shape: "circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill";
            active: boolean;
            ripple: boolean;
            activeColor: string;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        href: StringConstructor;
        replace: BooleanConstructor;
        to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
        disabled: BooleanConstructor;
        elevation: {
            type: (StringConstructor | NumberConstructor)[];
            validator(v: any): boolean;
        };
        shape: {
            type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            default: string;
        };
        border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        density: {
            type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
            default: string;
            validator: (v: any) => boolean;
        };
        size: Omit<{
            type: import("vue").PropType<import("../../composables/size").Size | undefined>;
            default: string;
        }, "type" | "default"> & {
            type: import("vue").PropType<NonNullable<import("../../composables/size").Size | undefined> | undefined>;
            default: NonNullable<import("../../composables/size").Size | undefined> | undefined;
        };
        height: (StringConstructor | NumberConstructor)[];
        maxHeight: (StringConstructor | NumberConstructor)[];
        maxWidth: (StringConstructor | NumberConstructor)[];
        minHeight: (StringConstructor | NumberConstructor)[];
        minWidth: (StringConstructor | NumberConstructor)[];
        width: (StringConstructor | NumberConstructor)[];
        absolute: BooleanConstructor;
        bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        fixed: BooleanConstructor;
        left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        position: {
            type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
            validator: (v: any) => boolean;
        };
        right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
        color: StringConstructor;
        textColor: StringConstructor;
        variant: Omit<{
            type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            default: string;
            validator: (v: any) => boolean;
        }, "type" | "default"> & {
            type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        };
        theme: StringConstructor;
        tag: {
            type: StringConstructor;
            default: string;
        };
        /**
         * @zh 是否激活
         */
        active: BooleanConstructor;
        /**
         * @zh 激活时的颜色
         */
        activeColor: {
            type: StringConstructor;
            default: string;
        };
        /**
         * @zh 激活时的 class
         */
        activeClass: StringConstructor;
        /**
         * @zh 后置头像
         */
        appendAvatar: StringConstructor;
        /**
         * @zh 后置图标
         */
        appendIcon: (StringConstructor | ObjectConstructor)[];
        /**
         * @zh 是否是一个链接
         */
        link: BooleanConstructor;
        /**
         * @zh 前置头像
         */
        prependAvatar: StringConstructor;
        /**
         * @zh 前置图标
         */
        prependIcon: (StringConstructor | ObjectConstructor)[];
        /**
         * @zh 点击时是否有波纹
         */
        ripple: {
            type: BooleanConstructor;
            default: boolean;
        };
        /**
         * @zh 副标题
         */
        subtitle: StringConstructor;
        /**
         * @zh 文本内容
         */
        text: StringConstructor;
        /**
         * @zh 标题
         */
        title: StringConstructor;
        /**
         * @zh 列表项的值
         */
        value: null;
    } & {
        $children: () => import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | {
            prepend?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            append?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            default?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            title?: import("vue").VNodeChild | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            subtitle?: import("vue").VNodeChild | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
        };
        'v-slots': new () => {
            prepend?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            append?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            default?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            title?: false | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            subtitle?: false | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
        };
    }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    href: StringConstructor;
    replace: BooleanConstructor;
    to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
    disabled: BooleanConstructor;
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: {
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: Omit<{
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<import("../../composables/size").Size | undefined> | undefined>;
        default: NonNullable<import("../../composables/size").Size | undefined> | undefined;
    };
    height: (StringConstructor | NumberConstructor)[];
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    position: {
        type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    };
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<{
        type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    };
    theme: StringConstructor;
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 是否激活
     */
    active: BooleanConstructor;
    /**
     * @zh 激活时的颜色
     */
    activeColor: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 激活时的 class
     */
    activeClass: StringConstructor;
    /**
     * @zh 后置头像
     */
    appendAvatar: StringConstructor;
    /**
     * @zh 后置图标
     */
    appendIcon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 是否是一个链接
     */
    link: BooleanConstructor;
    /**
     * @zh 前置头像
     */
    prependAvatar: StringConstructor;
    /**
     * @zh 前置图标
     */
    prependIcon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 点击时是否有波纹
     */
    ripple: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 副标题
     */
    subtitle: StringConstructor;
    /**
     * @zh 文本内容
     */
    text: StringConstructor;
    /**
     * @zh 标题
     */
    title: StringConstructor;
    /**
     * @zh 列表项的值
     */
    value: null;
} & {
    $children: () => import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) | {
        prepend?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        append?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        default?: import("vue").VNodeChild | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        title?: import("vue").VNodeChild | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        subtitle?: import("vue").VNodeChild | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
    };
    'v-slots': new () => {
        prepend?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        append?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        default?: false | ((args_0: ListItemSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        title?: false | ((args_0: ListItemTitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        subtitle?: false | ((args_0: ListItemSubtitleSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
    };
}>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, {
    replace: boolean;
    fixed: boolean;
    link: boolean;
    disabled: boolean;
    tag: string;
    variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    absolute: boolean;
    size: NonNullable<import("../../composables/size").Size | undefined> | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    shape: "circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill";
    active: boolean;
    ripple: boolean;
    activeColor: string;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: MakeSlots<{
        prepend: [ListItemSlot];
        append: [ListItemSlot];
        default: [ListItemSlot];
        title: [ListItemTitleSlot];
        subtitle: [ListItemSubtitleSlot];
    }>;
});
export type ListItem = InstanceType<typeof ListItem>;
export {};
