import { createVNode as _createVNode } from "vue";
import "./styles/list-subheader.css";
import { toRef } from "vue";
import { makeTagProps } from "../../composables/tag";
import { useTextColor } from "../../composables/color";
import { defineComponent } from "../../utils";
const ListSubheader = defineComponent({
  name: "VeListSubheader",
  props: {
    /**
     * @zh 副标题颜色
     */
    color: String,
    inset: Boolean,
    ...makeTagProps()
  },
  setup(props, {
    slots
  }) {
    const {
      textColorClasses,
      textColorStyles
    } = useTextColor(toRef(props, "color"));
    return () => _createVNode(props.tag, {
      "class": ["ve-list-subheader", {
        "ve-list-subheader--inset": props.inset
      }, textColorClasses.value],
      "style": {
        textColorStyles
      }
    }, {
      default: () => [slots.default && _createVNode("div", {
        "class": "ve-list-subheader__text"
      }, [slots.default()])]
    });
  }
});
export {
  ListSubheader
};
//# sourceMappingURL=list-subheader.mjs.map
