import { createVNode as _createVNode } from "vue";
import "./styles/main.css";
import { computed, unref } from "vue";
import { defineComponent } from "../../utils";
import { makeTagProps } from "../../composables/tag";
import { useLayoutMain } from "../../composables/layout";
import { makeColorProps, useColor } from "../../composables/color";
const Main = defineComponent({
  name: "VeMain",
  props: {
    ...makeTagProps({
      tag: "main"
    }),
    ...makeColorProps()
  },
  setup(props, {
    slots
  }) {
    const {
      mainStyles
    } = useLayoutMain();
    const {
      colorClasses,
      colorStyles
    } = useColor(computed(() => {
      const {
        textColor,
        color
      } = unref(props);
      return {
        background: color,
        text: textColor
      };
    }));
    return () => _createVNode(props.tag, {
      "class": ["ve-main", colorClasses.value],
      "style": [mainStyles.value, colorStyles.value]
    }, {
      default: () => [_createVNode("div", {
        "class": "ve-main__wrap"
      }, [slots.default?.()])]
    });
  }
});
export {
  Main
};
//# sourceMappingURL=main.mjs.map
