import { createVNode as _createVNode } from "vue";
import "./styles/paper.css";
import { defineComponent } from "../../utils";
import { makePaperProps, usePaper } from "../../composables/paper";
const Paper = defineComponent({
  name: "VePaper",
  props: makePaperProps(),
  setup(props, {
    slots
  }) {
    const {
      paperClasses,
      paperStyles
    } = usePaper(props);
    return () => _createVNode(props.tag, {
      "class": ["ve-paper", paperClasses.value],
      "style": paperStyles.value
    }, slots);
  }
});
export {
  Paper
};
//# sourceMappingURL=paper.mjs.map
