import type { PropType } from 'vue';
export declare const progressVariants: readonly ["linear", "circular"];
export type ProgressVariant = typeof progressVariants[number];
export declare const Progress: import("vue").DefineComponent<{
    variant: {
        type: PropType<"linear" | "circular">;
        default: string;
        validator: (v: any) => boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    theme: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    strokeWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    indeterminate: BooleanConstructor;
    underlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    rotate: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * @zh 进度条颜色
     */
    color: {
        type: PropType<string | false | null>;
        default: string;
    };
    /**
     * @zh 是否在左侧
     */
    start: BooleanConstructor;
    /**
     * @zh 是否在右侧
     */
    end: BooleanConstructor;
}, {
    start: () => void;
    finish: () => Promise<unknown>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_modelValue: number) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    variant: {
        type: PropType<"linear" | "circular">;
        default: string;
        validator: (v: any) => boolean;
    };
    tag: {
        type: StringConstructor;
        default: string;
    };
    size: {
        type: PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    theme: StringConstructor;
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    strokeWidth: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    indeterminate: BooleanConstructor;
    underlay: {
        type: BooleanConstructor;
        default: boolean;
    };
    rotate: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * @zh 进度条颜色
     */
    color: {
        type: PropType<string | false | null>;
        default: string;
    };
    /**
     * @zh 是否在左侧
     */
    start: BooleanConstructor;
    /**
     * @zh 是否在右侧
     */
    end: BooleanConstructor;
}>> & {
    "onUpdate:modelValue"?: ((_modelValue: number) => any) | undefined;
}, {
    end: boolean;
    tag: string;
    color: string | false | null;
    variant: "linear" | "circular";
    size: import("../../composables/size").Size | undefined;
    start: boolean;
    active: boolean;
    modelValue: string | number;
    strokeWidth: string | number;
    indeterminate: boolean;
    underlay: boolean;
    rotate: string | number;
}>;
export type Progress = InstanceType<typeof Progress>;
