import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from "../../utils";
import { SelectionControl } from "../selection-control";
import { makeSelectionControlProps } from "../selection-control/selection-control";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
const Radio = defineComponent({
  name: "VeRadio",
  props: makeSelectionControlProps({
    type: "radio",
    falseIcon: "$radioOff",
    trueIcon: "$radioOn",
    color: "primary"
  }),
  emits: {
    "update:modelValue": (_modelValue) => true
  },
  setup(props, {
    emit,
    slots
  }) {
    return () => {
      return _createVNode(SelectionControl, _mergeProps({
        "class": "ve-radio"
      }, props, {
        "onUpdate:modelValue": (val) => emit("update:modelValue", val)
      }), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});
export {
  Radio
};
//# sourceMappingURL=radio.mjs.map
