import { createVNode as _createVNode } from "vue";
import "./styles/scrollbar.css";
import { defineComponent } from "../../utils";
import { makeTagProps } from "../../composables/tag";
import { makeScrollbar, useScrollbar } from "../../composables/scrollbar";
const Scrollbar = defineComponent({
  name: "VeScrollbar",
  props: {
    ...makeTagProps(),
    ...makeScrollbar()
  },
  setup(props, {
    slots
  }) {
    const {
      scrollbarClasses
    } = useScrollbar(props);
    return () => {
      return _createVNode("div", {
        "class": ["ve-scrollbar", scrollbarClasses.value]
      }, [slots.default?.()]);
    };
  }
});
export {
  Scrollbar
};
//# sourceMappingURL=scrollbar.mjs.map
