import { defineComponent } from "../../utils";
import { makeGroupItemProps, useGroupItem } from "../../composables/group";
import { SlideGroupKey } from "./slide-group";
const SlideGroupItem = defineComponent({
  name: "VeSlideGroupItem",
  props: {
    ...makeGroupItemProps()
  },
  setup(props, {
    slots
  }) {
    const group = useGroupItem(props, SlideGroupKey);
    return () => slots.default?.({
      isSelected: group.isSelected.value,
      select: group.select
    });
  }
});
export {
  SlideGroupItem
};
//# sourceMappingURL=slide-group-item.mjs.map
