import { createVNode as _createVNode } from "vue";
import "./styles/table-no-data.css";
import { defineComponent } from "../../utils";
import { Icon } from "../icon";
const TableNoData = defineComponent({
  name: "VeTableNoData",
  props: {
    icon: {
      type: String,
      default: "$nodata"
    },
    text: {
      type: String,
      default: "\u6682\u65E0\u6570\u636E"
    }
  },
  setup(props, {
    slots
  }) {
    return () => {
      return _createVNode("div", {
        "class": "ve-table-no-data"
      }, [_createVNode(Icon, {
        "icon": props.icon,
        "size": 48,
        "class": "mb-3"
      }, null), _createVNode("div", null, [slots.default?.() ?? props.text])]);
    };
  }
});
export {
  TableNoData
};
//# sourceMappingURL=table-no-data.mjs.map
