export declare const Tag: import("vue").DefineComponent<{
    href: StringConstructor;
    replace: BooleanConstructor;
    to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
    value: null;
    disabled: BooleanConstructor;
    selectedClass: StringConstructor;
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: Omit<{
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    height: (StringConstructor | NumberConstructor)[];
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    position: {
        type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    };
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<{
        type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean; /**
         * @zh 可关闭
         */
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    };
    theme: StringConstructor;
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    transition: Omit<{
        type: import("vue").PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        }>;
        default: NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        };
    };
    loading: BooleanConstructor;
    /**
     * @zh 激活时的 class
     */
    activeClass: StringConstructor;
    /**
     * @zh 追加的头像图片
     */
    appendAvatar: StringConstructor;
    /**
     * @zh 追加的图标
     */
    appendIcon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 可关闭
     */
    closable: BooleanConstructor;
    /**
     * @zh 关闭图标
     */
    closeIcon: {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    };
    /**
     * @zh 是否显示
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 前置的头像图片
     */
    prependAvatar: StringConstructor;
    /**
     * @zh 前置的图标
     */
    prependIcon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 涟漪动画
     */
    ripple: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 标签文字
     */
    text: StringConstructor;
    /**
     * @zh 是否为链接
     */
    link: BooleanConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'click:close': (_event: MouseEvent) => true;
    'update:modelValue': (_modelValue: boolean) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    href: StringConstructor;
    replace: BooleanConstructor;
    to: import("vue").PropType<import("vue-router").RouteLocationRaw>;
    value: null;
    disabled: BooleanConstructor;
    selectedClass: StringConstructor;
    elevation: {
        type: (StringConstructor | NumberConstructor)[];
        validator(v: any): boolean;
    };
    shape: Omit<{
        type: import("vue").PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    };
    border: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    density: {
        type: import("vue").PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
        default: string;
        validator: (v: any) => boolean;
    };
    size: {
        type: import("vue").PropType<import("../../composables/size").Size | undefined>;
        default: string;
    };
    height: (StringConstructor | NumberConstructor)[];
    maxHeight: (StringConstructor | NumberConstructor)[];
    maxWidth: (StringConstructor | NumberConstructor)[];
    minHeight: (StringConstructor | NumberConstructor)[];
    minWidth: (StringConstructor | NumberConstructor)[];
    width: (StringConstructor | NumberConstructor)[];
    absolute: BooleanConstructor;
    bottom: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    fixed: BooleanConstructor;
    left: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    position: {
        type: import("vue").PropType<"fixed" | "static" | "relative" | "absolute" | "sticky">;
        validator: (v: any) => boolean;
    };
    right: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    top: (StringConstructor | BooleanConstructor | NumberConstructor)[];
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<{
        type: import("vue").PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean; /**
         * @zh 可关闭
         */
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    };
    theme: StringConstructor;
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: import("vue").PropType<string>;
        default: string;
    };
    transition: Omit<{
        type: import("vue").PropType<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })>;
        default: string;
        validator: (val: unknown) => boolean;
    }, "type" | "default"> & {
        type: import("vue").PropType<NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        }>;
        default: NonNullable<string | false | (import("vue").TransitionProps & {
            component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
        })> | {
            readonly component: import("vue").DefineComponent<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
                group: BooleanConstructor;
                mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
                onBeforeEnter: FunctionConstructor;
                onLeave: FunctionConstructor;
                onAfterLeave: FunctionConstructor;
            }>>, {
                group: boolean;
            }>;
        };
    };
    loading: BooleanConstructor;
    /**
     * @zh 激活时的 class
     */
    activeClass: StringConstructor;
    /**
     * @zh 追加的头像图片
     */
    appendAvatar: StringConstructor;
    /**
     * @zh 追加的图标
     */
    appendIcon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 可关闭
     */
    closable: BooleanConstructor;
    /**
     * @zh 关闭图标
     */
    closeIcon: {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    };
    /**
     * @zh 是否显示
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 前置的头像图片
     */
    prependAvatar: StringConstructor;
    /**
     * @zh 前置的图标
     */
    prependIcon: (StringConstructor | ObjectConstructor)[];
    /**
     * @zh 涟漪动画
     */
    ripple: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 标签文字
     */
    text: StringConstructor;
    /**
     * @zh 是否为链接
     */
    link: BooleanConstructor;
}>> & {
    "onUpdate:modelValue"?: ((_modelValue: boolean) => any) | undefined;
    "onClick:close"?: ((_event: MouseEvent) => any) | undefined;
}, {
    replace: boolean;
    fixed: boolean;
    link: boolean;
    transition: NonNullable<string | false | (import("vue").TransitionProps & {
        component?: import("vue").Component<any, any, any, import("vue").ComputedOptions, import("vue").MethodOptions> | undefined;
    })> | {
        readonly component: import("vue").DefineComponent<{
            group: BooleanConstructor;
            mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            group: BooleanConstructor;
            mode: import("vue").Prop<"default" | "in-out" | "out-in", "default" | "in-out" | "out-in">;
            onBeforeEnter: FunctionConstructor;
            onLeave: FunctionConstructor;
            onAfterLeave: FunctionConstructor;
        }>>, {
            group: boolean;
        }>;
    };
    loading: boolean;
    disabled: boolean;
    tag: string;
    variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    absolute: boolean;
    size: import("../../composables/size").Size | undefined;
    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
    shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    ripple: boolean;
    modelValue: boolean;
    closable: boolean;
    closeIcon: string | Record<string, any>;
}>;
export type Tag = InstanceType<typeof Tag>;
