import { toRef } from "vue";
import { defineComponent } from "../../utils";
import { makeVariantProps } from "../../composables/variant";
import { provideDefaults } from "../../composables/defaults";
const ToolbarItems = defineComponent({
  name: "VeToolbarItems",
  props: {
    ...makeVariantProps({
      variant: "contained-text"
    })
  },
  setup(props, {
    slots
  }) {
    provideDefaults({
      VeButton: {
        color: toRef(props, "color"),
        textColor: toRef(props, "textColor"),
        variant: toRef(props, "variant")
      }
    });
    return () => slots.default?.();
  }
});
export {
  ToolbarItems
};
//# sourceMappingURL=toolbar-items.mjs.map
