import { createVNode as _createVNode } from "vue";
import "./styles/toolbar-title.css";
import { defineComponent } from "../../utils";
import { makeTagProps } from "../../composables/tag";
const ToolbarTitle = defineComponent({
  name: "VeToolbarTitle",
  props: {
    text: String,
    ...makeTagProps()
  },
  setup(props, {
    slots
  }) {
    return () => {
      const hasText = !!(slots.text || props.text);
      return _createVNode(props.tag, {
        "class": "ve-toolbar-title"
      }, {
        default: () => [hasText && _createVNode("div", {
          "class": "ve-toolbar-title__wrapper"
        }, [slots.text?.() ?? props.text]), slots.default?.()]
      });
    };
  }
});
export {
  ToolbarTitle
};
//# sourceMappingURL=toolbar-title.mjs.map
