import type { PropType } from 'vue';
export declare const Transformable: import("vue").DefineComponent<{
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: PropType<string>;
        default: string;
    };
    /**
     * @zh 位置大小及旋转
     */
    modelValue: {
        type: PropType<{
            top: number;
            left: number;
            width: number;
            height: number;
            rotation: number;
        }>;
        default: () => {
            top: number;
            left: number;
            width: number;
            height: number;
            rotation: number;
        };
    };
    /**
     * @zh 可以移动
     */
    moveable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 可以旋转
     */
    rotatable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 可以调整尺寸
     */
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 颜色
     */
    color: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 定位模式
     */
    position: {
        type: PropType<"fixed" | "absolute">;
        default: string;
    };
    /**
     * @zh 隐藏显示可拖拽的锚点
     */
    hideAnchors: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_modelValue: any) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    tag: Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: PropType<string>;
        default: string;
    };
    /**
     * @zh 位置大小及旋转
     */
    modelValue: {
        type: PropType<{
            top: number;
            left: number;
            width: number;
            height: number;
            rotation: number;
        }>;
        default: () => {
            top: number;
            left: number;
            width: number;
            height: number;
            rotation: number;
        };
    };
    /**
     * @zh 可以移动
     */
    moveable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 可以旋转
     */
    rotatable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 可以调整尺寸
     */
    resizable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * @zh 颜色
     */
    color: {
        type: StringConstructor;
        default: string;
    };
    /**
     * @zh 定位模式
     */
    position: {
        type: PropType<"fixed" | "absolute">;
        default: string;
    };
    /**
     * @zh 隐藏显示可拖拽的锚点
     */
    hideAnchors: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
}, {
    tag: string;
    color: string;
    position: "fixed" | "absolute";
    modelValue: {
        top: number;
        left: number;
        width: number;
        height: number;
        rotation: number;
    };
    moveable: boolean;
    rotatable: boolean;
    resizable: boolean;
    hideAnchors: boolean;
}>;
export type Transformable = InstanceType<typeof Transformable>;
