import type { ComputedRef, InjectionKey, Ref } from 'vue';
import type { MaybeRef } from '@veno-ui/utils';
export interface DefaultsInstance {
    [key: string]: undefined | Record<string, unknown>;
    global?: Record<string, unknown>;
}
export type DefaultsOptions = Partial<DefaultsInstance>;
export declare const DefaultsKey: InjectionKey<Ref<DefaultsInstance>>;
export declare function createDefaults(options?: DefaultsInstance): Ref<DefaultsInstance>;
export declare function useDefaults(): Ref<DefaultsInstance>;
export declare function provideDefaults(defaults?: MaybeRef<DefaultsInstance | undefined>, options?: {
    reset?: MaybeRef<number | string | undefined>;
    root?: MaybeRef<boolean | undefined>;
    scoped?: MaybeRef<boolean | undefined>;
}): ComputedRef<DefaultsInstance>;
