import { computed, unref } from "vue";
import { getCurrentInstanceName, propsFactory } from "@veno-ui/utils";
const makeDisabledProps = propsFactory({
  disabled: Boolean
}, "disabled");
function useDisabled(props, name = getCurrentInstanceName()) {
  return {
    disabledClasses: computed(() => {
      const { disabled } = unref(props);
      return {
        [`${name}--disabled`]: disabled
      };
    })
  };
}
export {
  makeDisabledProps,
  useDisabled
};
//# sourceMappingURL=index.mjs.map
