import { inject } from "vue";
import { deepMerge } from "@veno-ui/utils";
import { createSymbol } from "../../utils";
import { aliases, mdi } from "../../iconsets/mdi";
import { IconClass } from "../../components/icon/icon-class";
import { IconSvg } from "../../components/icon/icon-svg";
import { IconLigature } from "../../components/icon/icon-ligature";
const IconsKey = createSymbol("icons");
function useIcons() {
  const icons = inject(IconsKey);
  if (!icons)
    throw new Error("[VenoUi] Could not find icons instance");
  return icons;
}
function createIcons(options) {
  return deepMerge({
    defaultSet: "mdi",
    sets: {
      mdi,
      svg: IconSvg,
      class: IconClass,
      ligature: IconLigature
    },
    aliases
  }, options || {});
}
export {
  IconsKey,
  createIcons,
  useIcons
};
//# sourceMappingURL=icons.mjs.map
