function mounted(el, binding) {
  const handler = binding.value;
  const options = {
    passive: !binding.modifiers?.active
  };
  window.addEventListener("resize", handler, options);
  el._onResize = {
    handler,
    options
  };
  if (!binding.modifiers?.quiet) {
    handler();
  }
}
function unmounted(el) {
  if (!el._onResize)
    return;
  const { handler, options } = el._onResize;
  window.removeEventListener("resize", handler, options);
  delete el._onResize;
}
const Resize = {
  mounted,
  unmounted
};
var resize_default = Resize;
export {
  Resize,
  resize_default as default
};
//# sourceMappingURL=index.mjs.map
