import type { App, Component } from 'vue';
import type { HighlighterOptions } from './composables/highlighter';
import type { ThemeOptions } from './composables/theme';
import type { IconsOptions } from './composables/icons';
import type { DisplayOptions } from './composables/display';
import type { DefaultsOptions } from './composables/defaults';
export * from './composables';
export * from './resolver';
export interface VenoOptions {
    componentPrefix?: string;
    components?: Record<string, any>;
    directives?: Record<string, any>;
    providers?: Record<string, Component>;
    highlighter?: HighlighterOptions;
    defaults?: DefaultsOptions;
    theme?: ThemeOptions;
    icons?: IconsOptions;
    display?: DisplayOptions;
}
export declare const name: string;
export declare const version: string;
export declare const createVeno: (options?: VenoOptions) => {
    install: (app: App) => void;
    version: string;
};
