import { nextTick } from 'vue';
import type { PropType } from 'vue';
import type { FormControlSlots } from '../form-control/form-control';
import type { InputControlDefaultSlot, InputControlSlots } from '../input-control/input-control';
import type { CounterSlot } from '../counter/counter';
import type { MakeSlots } from '../../utils';
export type InputSlots = FormControlSlots & InputControlSlots & MakeSlots<{
    counter: [CounterSlot];
    default: [InputControlDefaultSlot];
}>;
export declare const makeInputProps: <Defaults extends {
    shape?: unknown;
    color?: unknown;
    textColor?: unknown;
    variant?: unknown;
    appendInnerIcon?: unknown;
    clearable?: unknown;
    clearIcon?: unknown;
    disabled?: unknown;
    prependInnerIcon?: unknown;
    prefix?: unknown;
    prefixIcon?: unknown;
    suffix?: unknown;
    suffixIcon?: unknown;
    autofocus?: unknown;
    autoResize?: unknown;
    counter?: unknown;
    counterValue?: unknown;
    id?: unknown;
    inputAttach?: unknown;
    maxRows?: unknown;
    controlValue?: unknown;
    modelValue?: unknown;
    name?: unknown;
    noResize?: unknown;
    persistentCounter?: unknown;
    placeholder?: unknown;
    rows?: unknown;
    type?: unknown;
    width?: unknown;
} = {}>(defaults?: Defaults | undefined) => {
    shape: unknown extends Defaults["shape"] ? Omit<{
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    } : Omit<Omit<{
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["shape"] ? NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill"> : NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">> | Defaults["shape"]>;
        default: unknown extends Defaults["shape"] ? NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill"> : NonNullable<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">> | Defaults["shape"];
    };
    color: unknown extends Defaults["color"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["color"] ? string : string | Defaults["color"]>;
        default: unknown extends Defaults["color"] ? string : string | Defaults["color"];
    };
    textColor: unknown extends Defaults["textColor"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["textColor"] ? string : string | Defaults["textColor"]>;
        default: unknown extends Defaults["textColor"] ? string : string | Defaults["textColor"];
    };
    variant: unknown extends Defaults["variant"] ? Omit<{
        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    } : Omit<Omit<{
        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["variant"] ? NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined"> : NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">> | Defaults["variant"]>;
        default: unknown extends Defaults["variant"] ? NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined"> : NonNullable<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">> | Defaults["variant"];
    };
    appendInnerIcon: unknown extends Defaults["appendInnerIcon"] ? (StringConstructor | ObjectConstructor)[] : {
        type: PropType<unknown extends Defaults["appendInnerIcon"] ? unknown : {} | Defaults["appendInnerIcon"]>;
        default: unknown extends Defaults["appendInnerIcon"] ? unknown : {} | Defaults["appendInnerIcon"];
    };
    clearable: unknown extends Defaults["clearable"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["clearable"] ? boolean : boolean | Defaults["clearable"]>;
        default: unknown extends Defaults["clearable"] ? boolean : boolean | Defaults["clearable"];
    };
    clearIcon: unknown extends Defaults["clearIcon"] ? {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    } : Omit<{
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["clearIcon"] ? string : string | Defaults["clearIcon"]>;
        default: unknown extends Defaults["clearIcon"] ? string : string | Defaults["clearIcon"];
    };
    disabled: unknown extends Defaults["disabled"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"]>;
        default: unknown extends Defaults["disabled"] ? boolean : boolean | Defaults["disabled"];
    };
    prependInnerIcon: unknown extends Defaults["prependInnerIcon"] ? (StringConstructor | ObjectConstructor)[] : {
        type: PropType<unknown extends Defaults["prependInnerIcon"] ? unknown : {} | Defaults["prependInnerIcon"]>;
        default: unknown extends Defaults["prependInnerIcon"] ? unknown : {} | Defaults["prependInnerIcon"];
    };
    prefix: unknown extends Defaults["prefix"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["prefix"] ? string : string | Defaults["prefix"]>;
        default: unknown extends Defaults["prefix"] ? string : string | Defaults["prefix"];
    };
    prefixIcon: unknown extends Defaults["prefixIcon"] ? (StringConstructor | ObjectConstructor)[] : {
        type: PropType<unknown extends Defaults["prefixIcon"] ? unknown : {} | Defaults["prefixIcon"]>;
        default: unknown extends Defaults["prefixIcon"] ? unknown : {} | Defaults["prefixIcon"];
    };
    suffix: unknown extends Defaults["suffix"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["suffix"] ? string : string | Defaults["suffix"]>;
        default: unknown extends Defaults["suffix"] ? string : string | Defaults["suffix"];
    };
    suffixIcon: unknown extends Defaults["suffixIcon"] ? (StringConstructor | ObjectConstructor)[] : {
        type: PropType<unknown extends Defaults["suffixIcon"] ? unknown : {} | Defaults["suffixIcon"]>;
        default: unknown extends Defaults["suffixIcon"] ? unknown : {} | Defaults["suffixIcon"];
    };
    autofocus: unknown extends Defaults["autofocus"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["autofocus"] ? boolean : boolean | Defaults["autofocus"]>;
        default: unknown extends Defaults["autofocus"] ? boolean : boolean | Defaults["autofocus"];
    };
    autoResize: unknown extends Defaults["autoResize"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["autoResize"] ? boolean : boolean | Defaults["autoResize"]>;
        default: unknown extends Defaults["autoResize"] ? boolean : boolean | Defaults["autoResize"];
    };
    counter: unknown extends Defaults["counter"] ? PropType<string | number | true> : {
        type: PropType<unknown extends Defaults["counter"] ? string | number | true : Defaults["counter"] | NonNullable<string | number | true>>;
        default: unknown extends Defaults["counter"] ? string | number | true : Defaults["counter"] | NonNullable<string | number | true>;
    };
    counterValue: unknown extends Defaults["counterValue"] ? PropType<(value: any) => number> : {
        type: PropType<unknown extends Defaults["counterValue"] ? (value: any) => number : ((value: any) => number) | Defaults["counterValue"]>;
        default: unknown extends Defaults["counterValue"] ? (value: any) => number : ((value: any) => number) | Defaults["counterValue"];
    };
    id: unknown extends Defaults["id"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["id"] ? string : string | Defaults["id"]>;
        default: unknown extends Defaults["id"] ? string : string | Defaults["id"];
    };
    inputAttach: unknown extends Defaults["inputAttach"] ? PropType<string | boolean | Element> : {
        type: PropType<unknown extends Defaults["inputAttach"] ? string | boolean | Element : Defaults["inputAttach"] | NonNullable<string | boolean | Element>>;
        default: unknown extends Defaults["inputAttach"] ? string | boolean | Element : Defaults["inputAttach"] | NonNullable<string | boolean | Element>;
    };
    maxRows: unknown extends Defaults["maxRows"] ? {
        type: (StringConstructor | NumberConstructor)[];
        validator: (v: any) => boolean;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["maxRows"] ? string | number : NonNullable<string | number> | Defaults["maxRows"]>;
        default: unknown extends Defaults["maxRows"] ? string | number : NonNullable<string | number> | Defaults["maxRows"];
    };
    controlValue: unknown extends Defaults["controlValue"] ? null : {
        type: PropType<unknown extends Defaults["controlValue"] ? any : any>;
        default: unknown extends Defaults["controlValue"] ? any : any;
    };
    modelValue: unknown extends Defaults["modelValue"] ? null : {
        type: PropType<unknown extends Defaults["modelValue"] ? any : any>;
        default: unknown extends Defaults["modelValue"] ? any : any;
    };
    name: unknown extends Defaults["name"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["name"] ? string : string | Defaults["name"]>;
        default: unknown extends Defaults["name"] ? string : string | Defaults["name"];
    };
    noResize: unknown extends Defaults["noResize"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["noResize"] ? boolean : boolean | Defaults["noResize"]>;
        default: unknown extends Defaults["noResize"] ? boolean : boolean | Defaults["noResize"];
    };
    persistentCounter: unknown extends Defaults["persistentCounter"] ? BooleanConstructor : {
        type: PropType<unknown extends Defaults["persistentCounter"] ? boolean : boolean | Defaults["persistentCounter"]>;
        default: unknown extends Defaults["persistentCounter"] ? boolean : boolean | Defaults["persistentCounter"];
    };
    placeholder: unknown extends Defaults["placeholder"] ? StringConstructor : {
        type: PropType<unknown extends Defaults["placeholder"] ? string : string | Defaults["placeholder"]>;
        default: unknown extends Defaults["placeholder"] ? string : string | Defaults["placeholder"];
    };
    rows: unknown extends Defaults["rows"] ? {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: (v: any) => boolean;
    } : Omit<{
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["rows"] ? string | number : NonNullable<string | number> | Defaults["rows"]>;
        default: unknown extends Defaults["rows"] ? string | number : NonNullable<string | number> | Defaults["rows"];
    };
    type: unknown extends Defaults["type"] ? {
        type: StringConstructor;
        default: string;
    } : Omit<{
        type: StringConstructor;
        default: string;
    }, "type" | "default"> & {
        type: PropType<unknown extends Defaults["type"] ? string : string | Defaults["type"]>;
        default: unknown extends Defaults["type"] ? string : string | Defaults["type"];
    };
    width: unknown extends Defaults["width"] ? (StringConstructor | NumberConstructor)[] : {
        type: PropType<unknown extends Defaults["width"] ? string | number : NonNullable<string | number> | Defaults["width"]>;
        default: unknown extends Defaults["width"] ? string | number : NonNullable<string | number> | Defaults["width"];
    };
};
export declare const InputEmits: {
    'update:modelValue': (_: string) => boolean;
    'update:controlValue': (_: string) => boolean;
    'click:clear': (_event: MouseEvent) => boolean;
    'click:prepend-inner': (_event: MouseEvent) => boolean;
    'click:prefix': (_event: MouseEvent) => boolean;
    'click:suffix': (_event: MouseEvent) => boolean; /**
     * @zh 持续显示的计数器
     */
    'click:append-inner': (_event: MouseEvent) => boolean;
    'click:control': (_event: MouseEvent) => boolean;
    'update:active': (_active: boolean) => boolean;
    'click:prepend': (_event: MouseEvent) => boolean;
    'click:label': (_event: MouseEvent) => boolean;
    'click:append': (_event: MouseEvent) => boolean;
};
export declare const Input: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            type: string;
            disabled: boolean;
            variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            clearable: boolean;
            clearIcon: string | Record<string, any>;
            autofocus: boolean;
            autoResize: boolean;
            noResize: boolean;
            persistentCounter: boolean;
            rows: string | number;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            shape: Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            appendInnerIcon: (StringConstructor | ObjectConstructor)[];
            clearable: BooleanConstructor;
            clearIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            disabled: BooleanConstructor;
            prependInnerIcon: (StringConstructor | ObjectConstructor)[];
            prefix: StringConstructor;
            prefixIcon: (StringConstructor | ObjectConstructor)[];
            suffix: StringConstructor;
            suffixIcon: (StringConstructor | ObjectConstructor)[];
            autofocus: BooleanConstructor;
            autoResize: BooleanConstructor;
            counter: PropType<string | number | true>;
            counterValue: PropType<(value: any) => number>;
            id: StringConstructor;
            inputAttach: PropType<string | boolean | Element>;
            maxRows: {
                type: (StringConstructor | NumberConstructor)[];
                validator: (v: any) => boolean;
            };
            controlValue: null;
            modelValue: null;
            name: StringConstructor;
            noResize: BooleanConstructor;
            persistentCounter: BooleanConstructor;
            placeholder: StringConstructor;
            rows: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
                validator: (v: any) => boolean;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            width: (StringConstructor | NumberConstructor)[];
        } & {
            $children: () => import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[])) | {
                prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]));
                append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                counter?: import("vue").VNodeChild | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | (((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[])) | undefined;
                append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                counter?: false | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_: string) => any) | undefined;
            "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
            "onUpdate:active"?: ((_active: boolean) => any) | undefined;
            "onUpdate:controlValue"?: ((_: string) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "type" | "disabled" | "variant" | "shape" | "clearable" | "clearIcon" | "autofocus" | "autoResize" | "noResize" | "persistentCounter" | "rows">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: ((event: "update:modelValue", _: string) => void) & ((event: "click:prepend", _event: MouseEvent) => void) & ((event: "click:label", _event: MouseEvent) => void) & ((event: "click:append", _event: MouseEvent) => void) & ((event: "click:clear", _event: MouseEvent) => void) & ((event: "click:prepend-inner", _event: MouseEvent) => void) & ((event: "click:prefix", _event: MouseEvent) => void) & ((event: "click:suffix", _event: MouseEvent) => void) & ((event: "click:append-inner", _event: MouseEvent) => void) & ((event: "click:control", _event: MouseEvent) => void) & ((event: "update:active", _active: boolean) => void) & ((event: "update:controlValue", _: string) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            shape: Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            appendInnerIcon: (StringConstructor | ObjectConstructor)[];
            clearable: BooleanConstructor;
            clearIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            disabled: BooleanConstructor;
            prependInnerIcon: (StringConstructor | ObjectConstructor)[];
            prefix: StringConstructor;
            prefixIcon: (StringConstructor | ObjectConstructor)[];
            suffix: StringConstructor;
            suffixIcon: (StringConstructor | ObjectConstructor)[];
            autofocus: BooleanConstructor;
            autoResize: BooleanConstructor;
            counter: PropType<string | number | true>;
            counterValue: PropType<(value: any) => number>;
            id: StringConstructor;
            inputAttach: PropType<string | boolean | Element>;
            maxRows: {
                type: (StringConstructor | NumberConstructor)[];
                validator: (v: any) => boolean;
            };
            controlValue: null;
            modelValue: null;
            name: StringConstructor;
            noResize: BooleanConstructor;
            persistentCounter: BooleanConstructor;
            placeholder: StringConstructor;
            rows: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
                validator: (v: any) => boolean;
            };
            type: {
                type: StringConstructor;
                default: string;
            };
            width: (StringConstructor | NumberConstructor)[];
        } & {
            $children: () => import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[])) | {
                prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]));
                append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                counter?: import("vue").VNodeChild | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | (((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[])) | undefined;
                append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                counter?: false | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_: string) => any) | undefined;
            "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
            "onUpdate:active"?: ((_active: boolean) => any) | undefined;
            "onUpdate:controlValue"?: ((_: string) => any) | undefined;
        }, {
            formControlRef: import("vue").Ref<({
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    error: boolean;
                    disabled: boolean;
                    size: import("../../composables/size").Size | undefined;
                    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
                    inline: boolean;
                    direction: "horizontal" | "vertical";
                    readonly: boolean;
                    errorMessages: string | string[];
                    maxErrors: string | number;
                    rules: import("../../composables/validation").ValidationRule[];
                    focused: boolean;
                    persistentHint: boolean;
                    messages: string | unknown[];
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    disabled: BooleanConstructor;
                    error: BooleanConstructor;
                    errorMessages: {
                        type: PropType<string | string[]>;
                        default: () => never[];
                    };
                    maxErrors: {
                        type: (StringConstructor | NumberConstructor)[];
                        default: number;
                    };
                    readonly: BooleanConstructor;
                    rules: {
                        type: PropType<import("../../composables/validation").ValidationRule[]>;
                        default: () => never[];
                    };
                    modelValue: null;
                    density: {
                        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                        default: string;
                        validator: (v: any) => boolean;
                    };
                    size: {
                        type: PropType<import("../../composables/size").Size | undefined>;
                        default: string;
                    };
                    height: (StringConstructor | NumberConstructor)[];
                    maxHeight: (StringConstructor | NumberConstructor)[];
                    maxWidth: (StringConstructor | NumberConstructor)[];
                    minHeight: (StringConstructor | NumberConstructor)[];
                    minWidth: (StringConstructor | NumberConstructor)[];
                    width: (StringConstructor | NumberConstructor)[];
                    appendIcon: (StringConstructor | ObjectConstructor)[];
                    direction: {
                        type: PropType<"horizontal" | "vertical">; /**
                         * @zh 输入框 name
                         */
                        default: string;
                        validator: (v: any) => boolean;
                    };
                    focused: BooleanConstructor;
                    hideDetails: PropType<boolean | "auto">;
                    hint: StringConstructor;
                    inline: BooleanConstructor;
                    label: (StringConstructor | BooleanConstructor)[];
                    labelId: StringConstructor;
                    labelWidth: (StringConstructor | NumberConstructor)[];
                    messages: {
                        type: (StringConstructor | ArrayConstructor)[];
                        default: () => never[];
                    };
                    name: StringConstructor;
                    prependIcon: StringConstructor;
                    persistentHint: BooleanConstructor;
                } & {
                    $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | {
                        prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                            props: Record<string, unknown>;
                        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                    };
                    'v-slots': new () => {
                        prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                            props: Record<string, unknown>;
                        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                    };
                }>> & {
                    "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                    "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
                } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "error" | "disabled" | "size" | "density" | "inline" | "direction" | "readonly" | "errorMessages" | "maxErrors" | "rules" | "focused" | "persistentHint" | "messages">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot | undefined;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $emit: ((event: "update:modelValue", _modelValue: any) => void) & ((event: "click:prepend", _event: MouseEvent) => void) & ((event: "click:label", _event: MouseEvent) => void) & ((event: "click:append", _event: MouseEvent) => void);
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    disabled: BooleanConstructor;
                    error: BooleanConstructor;
                    errorMessages: {
                        type: PropType<string | string[]>;
                        default: () => never[];
                    };
                    maxErrors: {
                        type: (StringConstructor | NumberConstructor)[];
                        default: number;
                    };
                    readonly: BooleanConstructor;
                    rules: {
                        type: PropType<import("../../composables/validation").ValidationRule[]>;
                        default: () => never[];
                    };
                    modelValue: null;
                    density: {
                        type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                        default: string;
                        validator: (v: any) => boolean;
                    };
                    size: {
                        type: PropType<import("../../composables/size").Size | undefined>;
                        default: string;
                    };
                    height: (StringConstructor | NumberConstructor)[];
                    maxHeight: (StringConstructor | NumberConstructor)[];
                    maxWidth: (StringConstructor | NumberConstructor)[];
                    minHeight: (StringConstructor | NumberConstructor)[];
                    minWidth: (StringConstructor | NumberConstructor)[];
                    width: (StringConstructor | NumberConstructor)[];
                    appendIcon: (StringConstructor | ObjectConstructor)[];
                    direction: {
                        type: PropType<"horizontal" | "vertical">; /**
                         * @zh 输入框 name
                         */
                        default: string;
                        validator: (v: any) => boolean;
                    };
                    focused: BooleanConstructor;
                    hideDetails: PropType<boolean | "auto">;
                    hint: StringConstructor;
                    inline: BooleanConstructor;
                    label: (StringConstructor | BooleanConstructor)[];
                    labelId: StringConstructor;
                    labelWidth: (StringConstructor | NumberConstructor)[];
                    messages: {
                        type: (StringConstructor | ArrayConstructor)[];
                        default: () => never[];
                    };
                    name: StringConstructor;
                    prependIcon: StringConstructor;
                    persistentHint: BooleanConstructor;
                } & {
                    $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | {
                        prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                            props: Record<string, unknown>;
                        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                    };
                    'v-slots': new () => {
                        prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                            props: Record<string, unknown>;
                        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                    };
                }>> & {
                    "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                    "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
                }, {
                    isDisabled: import("vue").ComputedRef<boolean>;
                    isReadonly: import("vue").ComputedRef<boolean>;
                    isPristine: import("vue").Ref<boolean>;
                    isValid: import("vue").ComputedRef<boolean | null>;
                    isValidating: import("vue").Ref<boolean>;
                    reset: () => void;
                    resetValidation: () => void;
                    validate: () => Promise<string[]>;
                }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    'click:prepend': (_event: MouseEvent) => boolean;
                    'click:label': (_event: MouseEvent) => boolean;
                    'click:append': (_event: MouseEvent) => boolean;
                    'update:modelValue': (_modelValue: any) => boolean;
                }, string, {
                    error: boolean;
                    disabled: boolean;
                    size: import("../../composables/size").Size | undefined;
                    density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
                    inline: boolean;
                    direction: "horizontal" | "vertical";
                    readonly: boolean;
                    errorMessages: string | string[];
                    maxErrors: string | number;
                    rules: import("../../composables/validation").ValidationRule[];
                    focused: boolean;
                    persistentHint: boolean;
                    messages: string | unknown[];
                }, {}, string> & {
                    beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                    created?: ((() => void) | (() => void)[]) | undefined;
                    beforeMount?: ((() => void) | (() => void)[]) | undefined;
                    mounted?: ((() => void) | (() => void)[]) | undefined;
                    beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                    updated?: ((() => void) | (() => void)[]) | undefined;
                    activated?: ((() => void) | (() => void)[]) | undefined;
                    deactivated?: ((() => void) | (() => void)[]) | undefined;
                    beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                    beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                    destroyed?: ((() => void) | (() => void)[]) | undefined;
                    unmounted?: ((() => void) | (() => void)[]) | undefined;
                    renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
                };
                $forceUpdate: () => void;
                $nextTick: typeof nextTick;
                $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                disabled: BooleanConstructor;
                error: BooleanConstructor;
                errorMessages: {
                    type: PropType<string | string[]>;
                    default: () => never[];
                };
                maxErrors: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                readonly: BooleanConstructor;
                rules: {
                    type: PropType<import("../../composables/validation").ValidationRule[]>;
                    default: () => never[];
                };
                modelValue: null;
                density: {
                    type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                    default: string;
                    validator: (v: any) => boolean;
                };
                size: {
                    type: PropType<import("../../composables/size").Size | undefined>;
                    default: string;
                };
                height: (StringConstructor | NumberConstructor)[];
                maxHeight: (StringConstructor | NumberConstructor)[];
                maxWidth: (StringConstructor | NumberConstructor)[];
                minHeight: (StringConstructor | NumberConstructor)[];
                minWidth: (StringConstructor | NumberConstructor)[];
                width: (StringConstructor | NumberConstructor)[];
                appendIcon: (StringConstructor | ObjectConstructor)[];
                direction: {
                    type: PropType<"horizontal" | "vertical">; /**
                     * @zh 输入框 name
                     */
                    default: string;
                    validator: (v: any) => boolean;
                };
                focused: BooleanConstructor;
                hideDetails: PropType<boolean | "auto">;
                hint: StringConstructor;
                inline: BooleanConstructor;
                label: (StringConstructor | BooleanConstructor)[];
                labelId: StringConstructor;
                labelWidth: (StringConstructor | NumberConstructor)[];
                messages: {
                    type: (StringConstructor | ArrayConstructor)[];
                    default: () => never[];
                };
                name: StringConstructor;
                prependIcon: StringConstructor;
                persistentHint: BooleanConstructor;
            } & {
                $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | {
                    prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                };
                'v-slots': new () => {
                    prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
            } & import("vue").ShallowUnwrapRef<{
                isDisabled: import("vue").ComputedRef<boolean>;
                isReadonly: import("vue").ComputedRef<boolean>;
                isPristine: import("vue").Ref<boolean>;
                isValid: import("vue").ComputedRef<boolean | null>;
                isValidating: import("vue").Ref<boolean>;
                reset: () => void;
                resetValidation: () => void;
                validate: () => Promise<string[]>;
            }> & {} & import("vue").ComponentCustomProperties & {} & {
                $slots: MakeSlots<{
                    prepend: [import("../form-control/form-control").FormControlSlot];
                    label: [import("../form-control/form-control").FormControlSlot];
                    default: [import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }];
                    append: [import("../form-control/form-control").FormControlSlot];
                    details: [import("../form-control/form-control").FormControlSlot];
                }>;
            }) | undefined>;
            inputControlRef: import("vue").Ref<({
                $: import("vue").ComponentInternalInstance;
                $data: {};
                $props: Partial<{
                    disabled: boolean;
                    variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    active: boolean;
                    clearable: boolean;
                    clearIcon: string | Record<string, any>;
                    dirty: boolean;
                }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                    shape: Omit<{
                        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                        default: string;
                    }, "type" | "default"> & {
                        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    };
                    color: StringConstructor;
                    textColor: StringConstructor;
                    variant: Omit<{
                        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                        default: string;
                        validator: (v: any) => boolean;
                    }, "type" | "default"> & {
                        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    };
                    appendInnerIcon: (StringConstructor | ObjectConstructor)[];
                    clearable: BooleanConstructor;
                    clearIcon: {
                        type: (StringConstructor | ObjectConstructor)[];
                        default: string;
                    };
                    disabled: BooleanConstructor;
                    prependInnerIcon: (StringConstructor | ObjectConstructor)[];
                    prefix: StringConstructor;
                    prefixIcon: (StringConstructor | ObjectConstructor)[];
                    suffix: StringConstructor;
                    suffixIcon: (StringConstructor | ObjectConstructor)[];
                    active: BooleanConstructor;
                    dirty: BooleanConstructor;
                } & {
                    $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | {
                        'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                    };
                    'v-slots': new () => {
                        'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                    };
                }>> & {
                    "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                    "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
                    "onUpdate:active"?: ((_active: boolean) => any) | undefined;
                } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "variant" | "shape" | "active" | "clearable" | "clearIcon" | "dirty">;
                $attrs: {
                    [x: string]: unknown;
                };
                $refs: {
                    [x: string]: unknown;
                };
                $slots: Readonly<{
                    [name: string]: import("vue").Slot | undefined;
                }>;
                $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
                $emit: ((event: "update:modelValue", _modelValue: any) => void) & ((event: "click:clear", _event: MouseEvent) => void) & ((event: "click:prepend-inner", _event: MouseEvent) => void) & ((event: "click:prefix", _event: MouseEvent) => void) & ((event: "click:suffix", _event: MouseEvent) => void) & ((event: "click:append-inner", _event: MouseEvent) => void) & ((event: "click:control", _event: MouseEvent) => void) & ((event: "update:active", _active: boolean) => void);
                $el: any;
                $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                    shape: Omit<{
                        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                        default: string;
                    }, "type" | "default"> & {
                        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    };
                    color: StringConstructor;
                    textColor: StringConstructor;
                    variant: Omit<{
                        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                        default: string;
                        validator: (v: any) => boolean;
                    }, "type" | "default"> & {
                        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    };
                    appendInnerIcon: (StringConstructor | ObjectConstructor)[];
                    clearable: BooleanConstructor;
                    clearIcon: {
                        type: (StringConstructor | ObjectConstructor)[];
                        default: string;
                    };
                    disabled: BooleanConstructor;
                    prependInnerIcon: (StringConstructor | ObjectConstructor)[];
                    prefix: StringConstructor;
                    prefixIcon: (StringConstructor | ObjectConstructor)[];
                    suffix: StringConstructor;
                    suffixIcon: (StringConstructor | ObjectConstructor)[];
                    active: BooleanConstructor;
                    dirty: BooleanConstructor;
                } & {
                    $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | {
                        'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                        clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]);
                    };
                    'v-slots': new () => {
                        'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                        clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                            [key: string]: any;
                        }>[]) | undefined;
                    };
                }>> & {
                    "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                    "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
                    "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
                    "onUpdate:active"?: ((_active: boolean) => any) | undefined;
                }, {
                    inputRef: import("vue").Ref<HTMLInputElement | undefined>;
                    controlRef: import("vue").Ref<HTMLElement | undefined>;
                }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                    'click:clear': (_event: MouseEvent) => boolean;
                    'click:prepend-inner': (_event: MouseEvent) => boolean;
                    'click:prefix': (_event: MouseEvent) => boolean;
                    'click:suffix': (_event: MouseEvent) => boolean; /**
                     * @zh 持续显示的计数器
                     */
                    'click:append-inner': (_event: MouseEvent) => boolean;
                    'click:control': (_event: MouseEvent) => boolean;
                    'update:active': (_active: boolean) => boolean;
                    'update:modelValue': (_modelValue: any) => boolean;
                }, string, {
                    disabled: boolean;
                    variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    active: boolean;
                    clearable: boolean;
                    clearIcon: string | Record<string, any>;
                    dirty: boolean;
                }, {}, string> & {
                    beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                    created?: ((() => void) | (() => void)[]) | undefined;
                    beforeMount?: ((() => void) | (() => void)[]) | undefined;
                    mounted?: ((() => void) | (() => void)[]) | undefined;
                    beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                    updated?: ((() => void) | (() => void)[]) | undefined;
                    activated?: ((() => void) | (() => void)[]) | undefined;
                    deactivated?: ((() => void) | (() => void)[]) | undefined;
                    beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                    beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                    destroyed?: ((() => void) | (() => void)[]) | undefined;
                    unmounted?: ((() => void) | (() => void)[]) | undefined;
                    renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                    errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
                };
                $forceUpdate: () => void;
                $nextTick: typeof nextTick;
                $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
            } & Readonly<import("vue").ExtractPropTypes<{
                shape: Omit<{
                    type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    default: string;
                }, "type" | "default"> & {
                    type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                    default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                };
                color: StringConstructor;
                textColor: StringConstructor;
                variant: Omit<{
                    type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    default: string;
                    validator: (v: any) => boolean;
                }, "type" | "default"> & {
                    type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                    default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                };
                appendInnerIcon: (StringConstructor | ObjectConstructor)[];
                clearable: BooleanConstructor;
                clearIcon: {
                    type: (StringConstructor | ObjectConstructor)[];
                    default: string;
                };
                disabled: BooleanConstructor;
                prependInnerIcon: (StringConstructor | ObjectConstructor)[];
                prefix: StringConstructor;
                prefixIcon: (StringConstructor | ObjectConstructor)[];
                suffix: StringConstructor;
                suffixIcon: (StringConstructor | ObjectConstructor)[];
                active: BooleanConstructor;
                dirty: BooleanConstructor;
            } & {
                $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | {
                    'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                };
                'v-slots': new () => {
                    'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
                "onUpdate:active"?: ((_active: boolean) => any) | undefined;
            } & import("vue").ShallowUnwrapRef<{
                inputRef: import("vue").Ref<HTMLInputElement | undefined>;
                controlRef: import("vue").Ref<HTMLElement | undefined>;
            }> & {} & import("vue").ComponentCustomProperties & {} & {
                $slots: MakeSlots<{
                    'prepend-inner': [import("../input-control/input-control").InputControlSlot];
                    prefix: [import("../input-control/input-control").InputControlSlot];
                    default: [InputControlDefaultSlot];
                    suffix: [import("../input-control/input-control").InputControlSlot];
                    'append-inner': [import("../input-control/input-control").InputControlSlot];
                    clear: [import("../input-control/input-control").InputControlSlot];
                }>;
            }) | undefined>;
            blur: () => void;
            focus: () => void;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'update:modelValue': (_: string) => boolean;
            'update:controlValue': (_: string) => boolean;
            'click:clear': (_event: MouseEvent) => boolean;
            'click:prepend-inner': (_event: MouseEvent) => boolean;
            'click:prefix': (_event: MouseEvent) => boolean;
            'click:suffix': (_event: MouseEvent) => boolean; /**
             * @zh 持续显示的计数器
             */
            'click:append-inner': (_event: MouseEvent) => boolean;
            'click:control': (_event: MouseEvent) => boolean;
            'update:active': (_active: boolean) => boolean;
            'click:prepend': (_event: MouseEvent) => boolean;
            'click:label': (_event: MouseEvent) => boolean;
            'click:append': (_event: MouseEvent) => boolean;
        }, string, {
            type: string;
            disabled: boolean;
            variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            clearable: boolean;
            clearIcon: string | Record<string, any>;
            autofocus: boolean;
            autoResize: boolean;
            noResize: boolean;
            persistentCounter: boolean;
            rows: string | number;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        shape: Omit<{
            type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            default: string;
        }, "type" | "default"> & {
            type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        };
        color: StringConstructor;
        textColor: StringConstructor;
        variant: Omit<{
            type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            default: string;
            validator: (v: any) => boolean;
        }, "type" | "default"> & {
            type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        };
        appendInnerIcon: (StringConstructor | ObjectConstructor)[];
        clearable: BooleanConstructor;
        clearIcon: {
            type: (StringConstructor | ObjectConstructor)[];
            default: string;
        };
        disabled: BooleanConstructor;
        prependInnerIcon: (StringConstructor | ObjectConstructor)[];
        prefix: StringConstructor;
        prefixIcon: (StringConstructor | ObjectConstructor)[];
        suffix: StringConstructor;
        suffixIcon: (StringConstructor | ObjectConstructor)[];
        autofocus: BooleanConstructor;
        autoResize: BooleanConstructor;
        counter: PropType<string | number | true>;
        counterValue: PropType<(value: any) => number>;
        id: StringConstructor;
        inputAttach: PropType<string | boolean | Element>;
        maxRows: {
            type: (StringConstructor | NumberConstructor)[];
            validator: (v: any) => boolean;
        };
        controlValue: null;
        modelValue: null;
        name: StringConstructor;
        noResize: BooleanConstructor;
        persistentCounter: BooleanConstructor;
        placeholder: StringConstructor;
        rows: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
            validator: (v: any) => boolean;
        };
        type: {
            type: StringConstructor;
            default: string;
        };
        width: (StringConstructor | NumberConstructor)[];
    } & {
        $children: () => import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
            props: Record<string, unknown>;
        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[])) | {
            prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            default?: import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]));
            append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            counter?: import("vue").VNodeChild | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
        };
        'v-slots': new () => {
            prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            default?: false | (((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[])) | undefined;
            append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            counter?: false | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
        };
    }>> & {
        "onUpdate:modelValue"?: ((_: string) => any) | undefined;
        "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
        "onUpdate:active"?: ((_active: boolean) => any) | undefined;
        "onUpdate:controlValue"?: ((_: string) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        formControlRef: import("vue").Ref<({
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                error: boolean;
                disabled: boolean;
                size: import("../../composables/size").Size | undefined;
                density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
                inline: boolean;
                direction: "horizontal" | "vertical";
                readonly: boolean;
                errorMessages: string | string[];
                maxErrors: string | number;
                rules: import("../../composables/validation").ValidationRule[];
                focused: boolean;
                persistentHint: boolean;
                messages: string | unknown[];
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                disabled: BooleanConstructor;
                error: BooleanConstructor;
                errorMessages: {
                    type: PropType<string | string[]>;
                    default: () => never[];
                };
                maxErrors: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                readonly: BooleanConstructor;
                rules: {
                    type: PropType<import("../../composables/validation").ValidationRule[]>;
                    default: () => never[];
                };
                modelValue: null;
                density: {
                    type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                    default: string;
                    validator: (v: any) => boolean;
                };
                size: {
                    type: PropType<import("../../composables/size").Size | undefined>;
                    default: string;
                };
                height: (StringConstructor | NumberConstructor)[];
                maxHeight: (StringConstructor | NumberConstructor)[];
                maxWidth: (StringConstructor | NumberConstructor)[];
                minHeight: (StringConstructor | NumberConstructor)[];
                minWidth: (StringConstructor | NumberConstructor)[];
                width: (StringConstructor | NumberConstructor)[];
                appendIcon: (StringConstructor | ObjectConstructor)[];
                direction: {
                    type: PropType<"horizontal" | "vertical">; /**
                     * @zh 输入框 name
                     */
                    default: string;
                    validator: (v: any) => boolean;
                };
                focused: BooleanConstructor;
                hideDetails: PropType<boolean | "auto">;
                hint: StringConstructor;
                inline: BooleanConstructor;
                label: (StringConstructor | BooleanConstructor)[];
                labelId: StringConstructor;
                labelWidth: (StringConstructor | NumberConstructor)[];
                messages: {
                    type: (StringConstructor | ArrayConstructor)[];
                    default: () => never[];
                };
                name: StringConstructor;
                prependIcon: StringConstructor;
                persistentHint: BooleanConstructor;
            } & {
                $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | {
                    prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                };
                'v-slots': new () => {
                    prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "error" | "disabled" | "size" | "density" | "inline" | "direction" | "readonly" | "errorMessages" | "maxErrors" | "rules" | "focused" | "persistentHint" | "messages">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: ((event: "update:modelValue", _modelValue: any) => void) & ((event: "click:prepend", _event: MouseEvent) => void) & ((event: "click:label", _event: MouseEvent) => void) & ((event: "click:append", _event: MouseEvent) => void);
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                disabled: BooleanConstructor;
                error: BooleanConstructor;
                errorMessages: {
                    type: PropType<string | string[]>;
                    default: () => never[];
                };
                maxErrors: {
                    type: (StringConstructor | NumberConstructor)[];
                    default: number;
                };
                readonly: BooleanConstructor;
                rules: {
                    type: PropType<import("../../composables/validation").ValidationRule[]>;
                    default: () => never[];
                };
                modelValue: null;
                density: {
                    type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                    default: string;
                    validator: (v: any) => boolean;
                };
                size: {
                    type: PropType<import("../../composables/size").Size | undefined>;
                    default: string;
                };
                height: (StringConstructor | NumberConstructor)[];
                maxHeight: (StringConstructor | NumberConstructor)[];
                maxWidth: (StringConstructor | NumberConstructor)[];
                minHeight: (StringConstructor | NumberConstructor)[];
                minWidth: (StringConstructor | NumberConstructor)[];
                width: (StringConstructor | NumberConstructor)[];
                appendIcon: (StringConstructor | ObjectConstructor)[];
                direction: {
                    type: PropType<"horizontal" | "vertical">; /**
                     * @zh 输入框 name
                     */
                    default: string;
                    validator: (v: any) => boolean;
                };
                focused: BooleanConstructor;
                hideDetails: PropType<boolean | "auto">;
                hint: StringConstructor;
                inline: BooleanConstructor;
                label: (StringConstructor | BooleanConstructor)[];
                labelId: StringConstructor;
                labelWidth: (StringConstructor | NumberConstructor)[];
                messages: {
                    type: (StringConstructor | ArrayConstructor)[];
                    default: () => never[];
                };
                name: StringConstructor;
                prependIcon: StringConstructor;
                persistentHint: BooleanConstructor;
            } & {
                $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | {
                    prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                };
                'v-slots': new () => {
                    prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                        props: Record<string, unknown>;
                    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
            }, {
                isDisabled: import("vue").ComputedRef<boolean>;
                isReadonly: import("vue").ComputedRef<boolean>;
                isPristine: import("vue").Ref<boolean>;
                isValid: import("vue").ComputedRef<boolean | null>;
                isValidating: import("vue").Ref<boolean>;
                reset: () => void;
                resetValidation: () => void;
                validate: () => Promise<string[]>;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                'click:prepend': (_event: MouseEvent) => boolean;
                'click:label': (_event: MouseEvent) => boolean;
                'click:append': (_event: MouseEvent) => boolean;
                'update:modelValue': (_modelValue: any) => boolean;
            }, string, {
                error: boolean;
                disabled: boolean;
                size: import("../../composables/size").Size | undefined;
                density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
                inline: boolean;
                direction: "horizontal" | "vertical";
                readonly: boolean;
                errorMessages: string | string[];
                maxErrors: string | number;
                rules: import("../../composables/validation").ValidationRule[];
                focused: boolean;
                persistentHint: boolean;
                messages: string | unknown[];
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            disabled: BooleanConstructor;
            error: BooleanConstructor;
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            readonly: BooleanConstructor;
            rules: {
                type: PropType<import("../../composables/validation").ValidationRule[]>;
                default: () => never[];
            };
            modelValue: null;
            density: {
                type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            appendIcon: (StringConstructor | ObjectConstructor)[];
            direction: {
                type: PropType<"horizontal" | "vertical">; /**
                 * @zh 输入框 name
                 */
                default: string;
                validator: (v: any) => boolean;
            };
            focused: BooleanConstructor;
            hideDetails: PropType<boolean | "auto">;
            hint: StringConstructor;
            inline: BooleanConstructor;
            label: (StringConstructor | BooleanConstructor)[];
            labelId: StringConstructor;
            labelWidth: (StringConstructor | NumberConstructor)[];
            messages: {
                type: (StringConstructor | ArrayConstructor)[];
                default: () => never[];
            };
            name: StringConstructor;
            prependIcon: StringConstructor;
            persistentHint: BooleanConstructor;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
            "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{
            isDisabled: import("vue").ComputedRef<boolean>;
            isReadonly: import("vue").ComputedRef<boolean>;
            isPristine: import("vue").Ref<boolean>;
            isValid: import("vue").ComputedRef<boolean | null>;
            isValidating: import("vue").Ref<boolean>;
            reset: () => void;
            resetValidation: () => void;
            validate: () => Promise<string[]>;
        }> & {} & import("vue").ComponentCustomProperties & {} & {
            $slots: MakeSlots<{
                prepend: [import("../form-control/form-control").FormControlSlot];
                label: [import("../form-control/form-control").FormControlSlot];
                default: [import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }];
                append: [import("../form-control/form-control").FormControlSlot];
                details: [import("../form-control/form-control").FormControlSlot];
            }>;
        }) | undefined>;
        inputControlRef: import("vue").Ref<({
            $: import("vue").ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                disabled: boolean;
                variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                active: boolean;
                clearable: boolean;
                clearIcon: string | Record<string, any>;
                dirty: boolean;
            }> & Omit<Readonly<import("vue").ExtractPropTypes<{
                shape: Omit<{
                    type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    default: string;
                }, "type" | "default"> & {
                    type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                    default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                };
                color: StringConstructor;
                textColor: StringConstructor;
                variant: Omit<{
                    type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    default: string;
                    validator: (v: any) => boolean;
                }, "type" | "default"> & {
                    type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                    default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                };
                appendInnerIcon: (StringConstructor | ObjectConstructor)[];
                clearable: BooleanConstructor;
                clearIcon: {
                    type: (StringConstructor | ObjectConstructor)[];
                    default: string;
                };
                disabled: BooleanConstructor;
                prependInnerIcon: (StringConstructor | ObjectConstructor)[];
                prefix: StringConstructor;
                prefixIcon: (StringConstructor | ObjectConstructor)[];
                suffix: StringConstructor;
                suffixIcon: (StringConstructor | ObjectConstructor)[];
                active: BooleanConstructor;
                dirty: BooleanConstructor;
            } & {
                $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | {
                    'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                };
                'v-slots': new () => {
                    'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
                "onUpdate:active"?: ((_active: boolean) => any) | undefined;
            } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "variant" | "shape" | "active" | "clearable" | "clearIcon" | "dirty">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: import("vue").Slot | undefined;
            }>;
            $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
            $emit: ((event: "update:modelValue", _modelValue: any) => void) & ((event: "click:clear", _event: MouseEvent) => void) & ((event: "click:prepend-inner", _event: MouseEvent) => void) & ((event: "click:prefix", _event: MouseEvent) => void) & ((event: "click:suffix", _event: MouseEvent) => void) & ((event: "click:append-inner", _event: MouseEvent) => void) & ((event: "click:control", _event: MouseEvent) => void) & ((event: "update:active", _active: boolean) => void);
            $el: any;
            $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
                shape: Omit<{
                    type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                    default: string;
                }, "type" | "default"> & {
                    type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                    default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                };
                color: StringConstructor;
                textColor: StringConstructor;
                variant: Omit<{
                    type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                    default: string;
                    validator: (v: any) => boolean;
                }, "type" | "default"> & {
                    type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                    default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                };
                appendInnerIcon: (StringConstructor | ObjectConstructor)[];
                clearable: BooleanConstructor;
                clearIcon: {
                    type: (StringConstructor | ObjectConstructor)[];
                    default: string;
                };
                disabled: BooleanConstructor;
                prependInnerIcon: (StringConstructor | ObjectConstructor)[];
                prefix: StringConstructor;
                prefixIcon: (StringConstructor | ObjectConstructor)[];
                suffix: StringConstructor;
                suffixIcon: (StringConstructor | ObjectConstructor)[];
                active: BooleanConstructor;
                dirty: BooleanConstructor;
            } & {
                $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | {
                    'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                    clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]);
                };
                'v-slots': new () => {
                    'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                    clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                        [key: string]: any;
                    }>[]) | undefined;
                };
            }>> & {
                "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
                "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
                "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
                "onUpdate:active"?: ((_active: boolean) => any) | undefined;
            }, {
                inputRef: import("vue").Ref<HTMLInputElement | undefined>;
                controlRef: import("vue").Ref<HTMLElement | undefined>;
            }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
                'click:clear': (_event: MouseEvent) => boolean;
                'click:prepend-inner': (_event: MouseEvent) => boolean;
                'click:prefix': (_event: MouseEvent) => boolean;
                'click:suffix': (_event: MouseEvent) => boolean; /**
                 * @zh 持续显示的计数器
                 */
                'click:append-inner': (_event: MouseEvent) => boolean;
                'click:control': (_event: MouseEvent) => boolean;
                'update:active': (_active: boolean) => boolean;
                'update:modelValue': (_modelValue: any) => boolean;
            }, string, {
                disabled: boolean;
                variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                active: boolean;
                clearable: boolean;
                clearIcon: string | Record<string, any>;
                dirty: boolean;
            }, {}, string> & {
                beforeCreate?: ((() => void) | (() => void)[]) | undefined;
                created?: ((() => void) | (() => void)[]) | undefined;
                beforeMount?: ((() => void) | (() => void)[]) | undefined;
                mounted?: ((() => void) | (() => void)[]) | undefined;
                beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
                updated?: ((() => void) | (() => void)[]) | undefined;
                activated?: ((() => void) | (() => void)[]) | undefined;
                deactivated?: ((() => void) | (() => void)[]) | undefined;
                beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
                beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
                destroyed?: ((() => void) | (() => void)[]) | undefined;
                unmounted?: ((() => void) | (() => void)[]) | undefined;
                renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
                errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof nextTick;
            $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
        } & Readonly<import("vue").ExtractPropTypes<{
            shape: Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            appendInnerIcon: (StringConstructor | ObjectConstructor)[];
            clearable: BooleanConstructor;
            clearIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            disabled: BooleanConstructor;
            prependInnerIcon: (StringConstructor | ObjectConstructor)[];
            prefix: StringConstructor;
            prefixIcon: (StringConstructor | ObjectConstructor)[];
            suffix: StringConstructor;
            suffixIcon: (StringConstructor | ObjectConstructor)[];
            active: BooleanConstructor;
            dirty: BooleanConstructor;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
            "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
            "onUpdate:active"?: ((_active: boolean) => any) | undefined;
        } & import("vue").ShallowUnwrapRef<{
            inputRef: import("vue").Ref<HTMLInputElement | undefined>;
            controlRef: import("vue").Ref<HTMLElement | undefined>;
        }> & {} & import("vue").ComponentCustomProperties & {} & {
            $slots: MakeSlots<{
                'prepend-inner': [import("../input-control/input-control").InputControlSlot];
                prefix: [import("../input-control/input-control").InputControlSlot];
                default: [InputControlDefaultSlot];
                suffix: [import("../input-control/input-control").InputControlSlot];
                'append-inner': [import("../input-control/input-control").InputControlSlot];
                clear: [import("../input-control/input-control").InputControlSlot];
            }>;
        }) | undefined>;
        blur: () => void;
        focus: () => void;
    }> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    shape: Omit<{
        type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        default: string;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
        default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    };
    color: StringConstructor;
    textColor: StringConstructor;
    variant: Omit<{
        type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        default: string;
        validator: (v: any) => boolean;
    }, "type" | "default"> & {
        type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
        default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    };
    appendInnerIcon: (StringConstructor | ObjectConstructor)[];
    clearable: BooleanConstructor;
    clearIcon: {
        type: (StringConstructor | ObjectConstructor)[];
        default: string;
    };
    disabled: BooleanConstructor;
    prependInnerIcon: (StringConstructor | ObjectConstructor)[];
    prefix: StringConstructor;
    prefixIcon: (StringConstructor | ObjectConstructor)[];
    suffix: StringConstructor;
    suffixIcon: (StringConstructor | ObjectConstructor)[];
    autofocus: BooleanConstructor;
    autoResize: BooleanConstructor;
    counter: PropType<string | number | true>;
    counterValue: PropType<(value: any) => number>;
    id: StringConstructor;
    inputAttach: PropType<string | boolean | Element>;
    maxRows: {
        type: (StringConstructor | NumberConstructor)[];
        validator: (v: any) => boolean;
    };
    controlValue: null;
    modelValue: null;
    name: StringConstructor;
    noResize: BooleanConstructor;
    persistentCounter: BooleanConstructor;
    placeholder: StringConstructor;
    rows: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
        validator: (v: any) => boolean;
    };
    type: {
        type: StringConstructor;
        default: string;
    };
    width: (StringConstructor | NumberConstructor)[];
} & {
    $children: () => import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
        props: Record<string, unknown>;
    }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>[])) | {
        prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        default?: import("vue").VNodeChild | (((args_0: import("../form-control/form-control").FormControlSlot & {
            props: Record<string, unknown>;
        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]));
        append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
        counter?: import("vue").VNodeChild | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]);
    };
    'v-slots': new () => {
        prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        default?: false | (((args_0: import("../form-control/form-control").FormControlSlot & {
            props: Record<string, unknown>;
        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) & ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[])) | undefined;
        append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
        counter?: false | ((args_0: CounterSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((_: string) => any) | undefined;
    "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
    "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
    "onUpdate:active"?: ((_active: boolean) => any) | undefined;
    "onUpdate:controlValue"?: ((_: string) => any) | undefined;
}, {
    formControlRef: import("vue").Ref<({
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            error: boolean;
            disabled: boolean;
            size: import("../../composables/size").Size | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            inline: boolean;
            direction: "horizontal" | "vertical";
            readonly: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import("../../composables/validation").ValidationRule[];
            focused: boolean;
            persistentHint: boolean;
            messages: string | unknown[];
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            disabled: BooleanConstructor;
            error: BooleanConstructor;
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            readonly: BooleanConstructor;
            rules: {
                type: PropType<import("../../composables/validation").ValidationRule[]>;
                default: () => never[];
            };
            modelValue: null;
            density: {
                type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            appendIcon: (StringConstructor | ObjectConstructor)[];
            direction: {
                type: PropType<"horizontal" | "vertical">; /**
                 * @zh 输入框 name
                 */
                default: string;
                validator: (v: any) => boolean;
            };
            focused: BooleanConstructor;
            hideDetails: PropType<boolean | "auto">;
            hint: StringConstructor;
            inline: BooleanConstructor;
            label: (StringConstructor | BooleanConstructor)[];
            labelId: StringConstructor;
            labelWidth: (StringConstructor | NumberConstructor)[];
            messages: {
                type: (StringConstructor | ArrayConstructor)[];
                default: () => never[];
            };
            name: StringConstructor;
            prependIcon: StringConstructor;
            persistentHint: BooleanConstructor;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
            "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "error" | "disabled" | "size" | "density" | "inline" | "direction" | "readonly" | "errorMessages" | "maxErrors" | "rules" | "focused" | "persistentHint" | "messages">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: ((event: "update:modelValue", _modelValue: any) => void) & ((event: "click:prepend", _event: MouseEvent) => void) & ((event: "click:label", _event: MouseEvent) => void) & ((event: "click:append", _event: MouseEvent) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            disabled: BooleanConstructor;
            error: BooleanConstructor;
            errorMessages: {
                type: PropType<string | string[]>;
                default: () => never[];
            };
            maxErrors: {
                type: (StringConstructor | NumberConstructor)[];
                default: number;
            };
            readonly: BooleanConstructor;
            rules: {
                type: PropType<import("../../composables/validation").ValidationRule[]>;
                default: () => never[];
            };
            modelValue: null;
            density: {
                type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
                default: string;
                validator: (v: any) => boolean;
            };
            size: {
                type: PropType<import("../../composables/size").Size | undefined>;
                default: string;
            };
            height: (StringConstructor | NumberConstructor)[];
            maxHeight: (StringConstructor | NumberConstructor)[];
            maxWidth: (StringConstructor | NumberConstructor)[];
            minHeight: (StringConstructor | NumberConstructor)[];
            minWidth: (StringConstructor | NumberConstructor)[];
            width: (StringConstructor | NumberConstructor)[];
            appendIcon: (StringConstructor | ObjectConstructor)[];
            direction: {
                type: PropType<"horizontal" | "vertical">; /**
                 * @zh 输入框 name
                 */
                default: string;
                validator: (v: any) => boolean;
            };
            focused: BooleanConstructor;
            hideDetails: PropType<boolean | "auto">;
            hint: StringConstructor;
            inline: BooleanConstructor;
            label: (StringConstructor | BooleanConstructor)[];
            labelId: StringConstructor;
            labelWidth: (StringConstructor | NumberConstructor)[];
            messages: {
                type: (StringConstructor | ArrayConstructor)[];
                default: () => never[];
            };
            name: StringConstructor;
            prependIcon: StringConstructor;
            persistentHint: BooleanConstructor;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                    props: Record<string, unknown>;
                }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
            "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
        }, {
            isDisabled: import("vue").ComputedRef<boolean>;
            isReadonly: import("vue").ComputedRef<boolean>;
            isPristine: import("vue").Ref<boolean>;
            isValid: import("vue").ComputedRef<boolean | null>;
            isValidating: import("vue").Ref<boolean>;
            reset: () => void;
            resetValidation: () => void;
            validate: () => Promise<string[]>;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'click:prepend': (_event: MouseEvent) => boolean;
            'click:label': (_event: MouseEvent) => boolean;
            'click:append': (_event: MouseEvent) => boolean;
            'update:modelValue': (_modelValue: any) => boolean;
        }, string, {
            error: boolean;
            disabled: boolean;
            size: import("../../composables/size").Size | undefined;
            density: "high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined;
            inline: boolean;
            direction: "horizontal" | "vertical";
            readonly: boolean;
            errorMessages: string | string[];
            maxErrors: string | number;
            rules: import("../../composables/validation").ValidationRule[];
            focused: boolean;
            persistentHint: boolean;
            messages: string | unknown[];
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        disabled: BooleanConstructor;
        error: BooleanConstructor;
        errorMessages: {
            type: PropType<string | string[]>;
            default: () => never[];
        };
        maxErrors: {
            type: (StringConstructor | NumberConstructor)[];
            default: number;
        };
        readonly: BooleanConstructor;
        rules: {
            type: PropType<import("../../composables/validation").ValidationRule[]>;
            default: () => never[];
        };
        modelValue: null;
        density: {
            type: PropType<"high" | "low" | "medium" | "ultra-low" | "ultra-high" | undefined>;
            default: string;
            validator: (v: any) => boolean;
        };
        size: {
            type: PropType<import("../../composables/size").Size | undefined>;
            default: string;
        };
        height: (StringConstructor | NumberConstructor)[];
        maxHeight: (StringConstructor | NumberConstructor)[];
        maxWidth: (StringConstructor | NumberConstructor)[];
        minHeight: (StringConstructor | NumberConstructor)[];
        minWidth: (StringConstructor | NumberConstructor)[];
        width: (StringConstructor | NumberConstructor)[];
        appendIcon: (StringConstructor | ObjectConstructor)[];
        direction: {
            type: PropType<"horizontal" | "vertical">; /**
             * @zh 输入框 name
             */
            default: string;
            validator: (v: any) => boolean;
        };
        focused: BooleanConstructor;
        hideDetails: PropType<boolean | "auto">;
        hint: StringConstructor;
        inline: BooleanConstructor;
        label: (StringConstructor | BooleanConstructor)[];
        labelId: StringConstructor;
        labelWidth: (StringConstructor | NumberConstructor)[];
        messages: {
            type: (StringConstructor | ArrayConstructor)[];
            default: () => never[];
        };
        name: StringConstructor;
        prependIcon: StringConstructor;
        persistentHint: BooleanConstructor;
    } & {
        $children: () => import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
            props: Record<string, unknown>;
        }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | {
            prepend?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            label?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            default?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            append?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            details?: import("vue").VNodeChild | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
        };
        'v-slots': new () => {
            prepend?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            label?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            default?: false | ((args_0: import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            append?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            details?: false | ((args_0: import("../form-control/form-control").FormControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
        };
    }>> & {
        "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
        "onClick:prepend"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:label"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:append"?: ((_event: MouseEvent) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        isDisabled: import("vue").ComputedRef<boolean>;
        isReadonly: import("vue").ComputedRef<boolean>;
        isPristine: import("vue").Ref<boolean>;
        isValid: import("vue").ComputedRef<boolean | null>;
        isValidating: import("vue").Ref<boolean>;
        reset: () => void;
        resetValidation: () => void;
        validate: () => Promise<string[]>;
    }> & {} & import("vue").ComponentCustomProperties & {} & {
        $slots: MakeSlots<{
            prepend: [import("../form-control/form-control").FormControlSlot];
            label: [import("../form-control/form-control").FormControlSlot];
            default: [import("../form-control/form-control").FormControlSlot & {
                props: Record<string, unknown>;
            }];
            append: [import("../form-control/form-control").FormControlSlot];
            details: [import("../form-control/form-control").FormControlSlot];
        }>;
    }) | undefined>;
    inputControlRef: import("vue").Ref<({
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            disabled: boolean;
            variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            active: boolean;
            clearable: boolean;
            clearIcon: string | Record<string, any>;
            dirty: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            shape: Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            appendInnerIcon: (StringConstructor | ObjectConstructor)[];
            clearable: BooleanConstructor;
            clearIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            disabled: BooleanConstructor;
            prependInnerIcon: (StringConstructor | ObjectConstructor)[];
            prefix: StringConstructor;
            prefixIcon: (StringConstructor | ObjectConstructor)[];
            suffix: StringConstructor;
            suffixIcon: (StringConstructor | ObjectConstructor)[];
            active: BooleanConstructor;
            dirty: BooleanConstructor;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
            "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
            "onUpdate:active"?: ((_active: boolean) => any) | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "variant" | "shape" | "active" | "clearable" | "clearIcon" | "dirty">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: ((event: "update:modelValue", _modelValue: any) => void) & ((event: "click:clear", _event: MouseEvent) => void) & ((event: "click:prepend-inner", _event: MouseEvent) => void) & ((event: "click:prefix", _event: MouseEvent) => void) & ((event: "click:suffix", _event: MouseEvent) => void) & ((event: "click:append-inner", _event: MouseEvent) => void) & ((event: "click:control", _event: MouseEvent) => void) & ((event: "update:active", _active: boolean) => void);
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            shape: Omit<{
                type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
                default: string;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
                default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            };
            color: StringConstructor;
            textColor: StringConstructor;
            variant: Omit<{
                type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
                default: string;
                validator: (v: any) => boolean;
            }, "type" | "default"> & {
                type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
                default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            };
            appendInnerIcon: (StringConstructor | ObjectConstructor)[];
            clearable: BooleanConstructor;
            clearIcon: {
                type: (StringConstructor | ObjectConstructor)[];
                default: string;
            };
            disabled: BooleanConstructor;
            prependInnerIcon: (StringConstructor | ObjectConstructor)[];
            prefix: StringConstructor;
            prefixIcon: (StringConstructor | ObjectConstructor)[];
            suffix: StringConstructor;
            suffixIcon: (StringConstructor | ObjectConstructor)[];
            active: BooleanConstructor;
            dirty: BooleanConstructor;
        } & {
            $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | {
                'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
                clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]);
            };
            'v-slots': new () => {
                'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
                clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                    [key: string]: any;
                }>[]) | undefined;
            };
        }>> & {
            "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
            "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
            "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
            "onUpdate:active"?: ((_active: boolean) => any) | undefined;
        }, {
            inputRef: import("vue").Ref<HTMLInputElement | undefined>;
            controlRef: import("vue").Ref<HTMLElement | undefined>;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
            'click:clear': (_event: MouseEvent) => boolean;
            'click:prepend-inner': (_event: MouseEvent) => boolean;
            'click:prefix': (_event: MouseEvent) => boolean;
            'click:suffix': (_event: MouseEvent) => boolean; /**
             * @zh 持续显示的计数器
             */
            'click:append-inner': (_event: MouseEvent) => boolean;
            'click:control': (_event: MouseEvent) => boolean;
            'update:active': (_active: boolean) => boolean;
            'update:modelValue': (_modelValue: any) => boolean;
        }, string, {
            disabled: boolean;
            variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            active: boolean;
            clearable: boolean;
            clearIcon: string | Record<string, any>;
            dirty: boolean;
        }, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        shape: Omit<{
            type: PropType<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
            default: string;
        }, "type" | "default"> & {
            type: PropType<NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">>;
            default: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
        };
        color: StringConstructor;
        textColor: StringConstructor;
        variant: Omit<{
            type: PropType<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
            default: string;
            validator: (v: any) => boolean;
        }, "type" | "default"> & {
            type: PropType<NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">>;
            default: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
        };
        appendInnerIcon: (StringConstructor | ObjectConstructor)[];
        clearable: BooleanConstructor;
        clearIcon: {
            type: (StringConstructor | ObjectConstructor)[];
            default: string;
        };
        disabled: BooleanConstructor;
        prependInnerIcon: (StringConstructor | ObjectConstructor)[];
        prefix: StringConstructor;
        prefixIcon: (StringConstructor | ObjectConstructor)[];
        suffix: StringConstructor;
        suffixIcon: (StringConstructor | ObjectConstructor)[];
        active: BooleanConstructor;
        dirty: BooleanConstructor;
    } & {
        $children: () => import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
            [key: string]: any;
        }>[]) | {
            'prepend-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            prefix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            default?: import("vue").VNodeChild | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            suffix?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            'append-inner'?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
            clear?: import("vue").VNodeChild | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]);
        };
        'v-slots': new () => {
            'prepend-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            prefix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            default?: false | ((args_0: InputControlDefaultSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            suffix?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            'append-inner'?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
            clear?: false | ((args_0: import("../input-control/input-control").InputControlSlot) => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }> | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
                [key: string]: any;
            }>[]) | undefined;
        };
    }>> & {
        "onUpdate:modelValue"?: ((_modelValue: any) => any) | undefined;
        "onClick:clear"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:prepend-inner"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:prefix"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:suffix"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:append-inner"?: ((_event: MouseEvent) => any) | undefined;
        "onClick:control"?: ((_event: MouseEvent) => any) | undefined;
        "onUpdate:active"?: ((_active: boolean) => any) | undefined;
    } & import("vue").ShallowUnwrapRef<{
        inputRef: import("vue").Ref<HTMLInputElement | undefined>;
        controlRef: import("vue").Ref<HTMLElement | undefined>;
    }> & {} & import("vue").ComponentCustomProperties & {} & {
        $slots: MakeSlots<{
            'prepend-inner': [import("../input-control/input-control").InputControlSlot];
            prefix: [import("../input-control/input-control").InputControlSlot];
            default: [InputControlDefaultSlot];
            suffix: [import("../input-control/input-control").InputControlSlot];
            'append-inner': [import("../input-control/input-control").InputControlSlot];
            clear: [import("../input-control/input-control").InputControlSlot];
        }>;
    }) | undefined>;
    blur: () => void;
    focus: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (_: string) => boolean;
    'update:controlValue': (_: string) => boolean;
    'click:clear': (_event: MouseEvent) => boolean;
    'click:prepend-inner': (_event: MouseEvent) => boolean;
    'click:prefix': (_event: MouseEvent) => boolean;
    'click:suffix': (_event: MouseEvent) => boolean; /**
     * @zh 持续显示的计数器
     */
    'click:append-inner': (_event: MouseEvent) => boolean;
    'click:control': (_event: MouseEvent) => boolean;
    'update:active': (_active: boolean) => boolean;
    'click:prepend': (_event: MouseEvent) => boolean;
    'click:label': (_event: MouseEvent) => boolean;
    'click:append': (_event: MouseEvent) => boolean;
}, string, {
    type: string;
    disabled: boolean;
    variant: NonNullable<"contained" | "outlined" | "plain" | "text" | "contained-text" | "contained-outlined">;
    shape: NonNullable<"circle" | "tile" | "rounded-sm" | "rounded" | "rounded-lg" | "pill">;
    clearable: boolean;
    clearIcon: string | Record<string, any>;
    autofocus: boolean;
    autoResize: boolean;
    noResize: boolean;
    persistentCounter: boolean;
    rows: string | number;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: InputSlots;
});
export type Input = InstanceType<typeof Input>;
